Bug 240413 - graphics/drm + x11-drivers/xf86-video-intel + Intel HD 5500 issues on 12.0
Summary: graphics/drm + x11-drivers/xf86-video-intel + Intel HD 5500 issues on 12.0
Status: Closed Not A Bug
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-08 11:31 UTC by Tomasz "CeDeROM" CEDRO
Modified: 2019-09-09 12:03 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz "CeDeROM" CEDRO 2019-09-08 11:31:47 UTC
Hello world :-)

I have switched to Panasonic Toughbook CF-MX4. There is an Intel HD 5500 GPU. It does not work on 12.0-RELEASE-p10, but it works on 13.0-CURRENT. I have tried both new and unified driver for xf86-video-intel. I guess the problem is with DRM. Because current is not really stable and this is my working machine so it would be really nice it this card working on 12 (release or stable) too please :-) 

Best regards :-)
Tomek


vgapci0@pci0:0:2:0:     class=0x030000 card=0x833810f7 chip=0x16168086 rev=0x09 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'HD Graphics 5500'
    class      = display
    subclass   = VGA



X.Org X Server 1.18.4
Release Date: 2016-07-19
X Protocol Version 11, Revision 0
Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64
Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
Build Date: 22 August 2019  09:06:49AM

Current version of pixman: 0.34.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 12:44:36 2019
(==) Using config file: "/etc/X11/xorg.conf"
scfb trace: probe start
scfb trace: probe done
(EE)
Fatal server error:
(EE) no screens found(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.



[   143.523] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[   143.523] X Protocol Version 11, Revision 0
[   143.523] Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64 
[   143.523] Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
[   143.524] Build Date: 22 August 2019  09:06:49AM
[   143.524]  
[   143.524] Current version of pixman: 0.34.0
[   143.524] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[   143.524] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   143.524] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 12:45:37 2019
[   143.525] (==) Using config file: "/etc/X11/xorg.conf"
[   143.525] (==) ServerLayout "X.org Configured"
[   143.525] (**) |-->Screen "Screen0" (0)
[   143.525] (**) |   |-->Monitor "Monitor0"
[   143.525] (**) |   |-->Device "CardIntel"
[   143.526] (**) |   |-->GPUDevice "CardVB"
[   143.526] (**) |-->Input Device "Mouse0"
[   143.526] (**) |-->Input Device "Keyboard0"
[   143.526] (**) Option "AutoAddDevices" "off"
[   143.526] (**) Not automatically adding devices
[   143.526] (==) Automatically enabling devices
[   143.526] (==) Not automatically adding GPU devices
[   143.526] (==) Max clients allowed: 256, resource mask: 0x1fffff
[   143.526] (**) FontPath set to:
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/,
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/
[   143.526] (**) ModulePath set to "/usr/local/lib/xorg/modules"
[   143.526] (II) Loader magic: 0x421020
[   143.526] (II) Module ABI versions:
[   143.527] 	X.Org ANSI C Emulation: 0.4
[   143.527] 	X.Org Video Driver: 20.0
[   143.527] 	X.Org XInput driver : 22.1
[   143.527] 	X.Org Server Extension : 9.0
[   143.527] (--) PCI:*(0:0:2:0) 8086:1616:10f7:8338 rev 9, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/65536
[   143.527] (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
[   143.527] (II) LoadModule: "glx"
[   143.528] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[   143.531] (II) Module glx: vendor="X.Org Foundation"
[   143.531] 	compiled for 1.18.4, module version = 1.0.0
[   143.531] 	ABI class: X.Org Server Extension, version 9.0
[   143.531] (==) AIGLX enabled
[   143.531] (II) LoadModule: "dri"
[   143.531] (II) Module "dri" already built-in
[   143.531] (II) LoadModule: "dri2"
[   143.531] (II) Module "dri2" already built-in
[   143.531] (II) LoadModule: "dri3"
[   143.531] (II) Module "dri3" already built-in
[   143.531] (II) LoadModule: "intel"
[   143.532] (II) Loading /usr/local/lib/xorg/modules/drivers/intel_drv.so
[   143.533] (II) Module intel: vendor="X.Org Foundation"
[   143.533] 	compiled for 1.18.4, module version = 2.99.917
[   143.533] 	Module class: X.Org Video Driver
[   143.533] 	ABI class: X.Org Video Driver, version 20.0
[   143.533] (II) LoadModule: "scfb"
[   143.533] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[   143.534] (II) Module scfb: vendor="X.Org Foundation"
[   143.534] 	compiled for 1.18.4, module version = 0.0.4
[   143.534] 	ABI class: X.Org Video Driver, version 20.0
[   143.534] (II) LoadModule: "mouse"
[   143.534] (II) Loading /usr/local/lib/xorg/modules/input/mouse_drv.so
[   143.534] (II) Module mouse: vendor="X.Org Foundation"
[   143.534] 	compiled for 1.18.4, module version = 1.9.3
[   143.534] 	Module class: X.Org XInput Driver
[   143.534] 	ABI class: X.Org XInput driver, version 22.1
[   143.534] (II) LoadModule: "kbd"
[   143.535] (II) Loading /usr/local/lib/xorg/modules/input/kbd_drv.so
[   143.535] (II) Module kbd: vendor="X.Org Foundation"
[   143.535] 	compiled for 1.18.4, module version = 1.9.0
[   143.535] 	Module class: X.Org XInput Driver
[   143.535] 	ABI class: X.Org XInput driver, version 22.1
[   143.535] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
	i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
	915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
	Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
	GM45, 4 Series, G45/G43, Q45/Q43, G41, B43
[   143.537] (II) intel: Driver for Intel(R) HD Graphics
[   143.537] (II) intel: Driver for Intel(R) Iris(TM) Graphics
[   143.537] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics
[   143.537] (II) scfb: driver for wsdisplay framebuffer: scfb
[   143.537] (--) Using syscons driver with X support (version 2.0)
[   143.537] (--) using VT number 9

[   143.541] (WW) Falling back to old probe method for scfb
[   143.541] scfb trace: probe start
[   143.541] (II) scfb(0): using default device
[   143.541] scfb trace: probe done
[   143.541] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[   143.541] (EE) Screen 0 deleted because of no matching config section.
[   143.541] (II) UnloadModule: "scfb"
[   143.541] (EE) Device(s) detected, but none match those in the config file.
[   143.541] (EE) 
Fatal server error:
[   143.541] (EE) no screens found(EE) 
[   143.541] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[   143.542] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   143.542] (EE) 
[   143.542] (EE) Server terminated with error (1). Closing log file.


Section "ServerFlags"
	Option "AutoAddDevices" "off"
EndSection

Section "ServerLayout"
	Identifier     "X.org Configured"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
	ModulePath   "/usr/local/lib/xorg/modules"
	FontPath     "/usr/local/share/fonts/misc/"
	FontPath     "/usr/local/share/fonts/TTF/"
	FontPath     "/usr/local/share/fonts/OTF/"
	FontPath     "/usr/local/share/fonts/Type1/"
	FontPath     "/usr/local/share/fonts/100dpi/"
	FontPath     "/usr/local/share/fonts/75dpi/"
EndSection

Section "Module"
	Load  "glx"
	Load "dri"
	Load "dri2"
	Load "dri3"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "auto"
	Option	    "Device" "/dev/sysmouse"
	Option	    "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "Monitor Model"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "Accel"              	# [<bool>]
        #Option     "AccelMethod"        	# <str>
        #Option     "Backlight"          	# <str>
        #Option     "CustomEDID"         	# <str>
        #Option     "DRI"                	# <str>
        #Option     "Present"            	# [<bool>]
        #Option     "ColorKey"           	# <i>
        #Option     "VideoKey"           	# <i>
        #Option     "Tiling"             	# [<bool>]
        #Option     "LinearFramebuffer"  	# [<bool>]
        #Option     "HWRotation"         	# [<bool>]
        #Option     "VSync"              	# [<bool>]
        #Option     "PageFlip"           	# [<bool>]
        #Option     "SwapbuffersWait"    	# [<bool>]
        #Option     "TripleBuffer"       	# [<bool>]
        #Option     "XvPreferOverlay"    	# [<bool>]
        #Option     "HotPlug"            	# [<bool>]
        #Option     "ReprobeOutputs"     	# [<bool>]
        #Option     "XvMC"               	# [<bool>]
        #Option     "ZaphodHeads"        	# <str>
        #Option     "VirtualHeads"       	# <i>
        #Option     "TearFree"           	# [<bool>]
        #Option     "PerCrtcPixmaps"     	# [<bool>]
        #Option     "FallbackDebug"      	# [<bool>]
        #Option     "DebugFlushBatches"  	# [<bool>]
        #Option     "DebugFlushCaches"   	# [<bool>]
        #Option     "DebugWait"          	# [<bool>]
        #Option     "BufferCache"        	# [<bool>]
	Identifier  "CardIntel"
	Driver      "intel"
#	Driver		"scfb"
	BusID       "PCI:0:2:0"
	Option      "DRI" "3"
	Option      "AccelMethod" "SNA"
	Option      "TearFree" "True"
EndSection

Section "Device"
	Identifier  "CardVB"
	Driver      "scfb"
	BusID       "PCI:0:2:0"
	Option      "DRI" "3"
	Option      "AccelMethod" "SNA"
	Option      "TearFree" "True"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "CardIntel"
	Monitor    "Monitor0"
	SubSection "Display"
		Viewport   0 0
		Depth     1
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     4
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     8
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     15
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     16
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection
Comment 1 Johannes Lundberg freebsd_committer 2019-09-08 17:07:22 UTC
Can you try to temporarily delete xorg.conf and uninstall xf86-video-intel and try. Also, try with xf86-video-intel but no xorg.conf and share xorg logs.

Your xorg.conf is set to use scfb so we can't see what error you're getting with intel or modesetting ddx...
Comment 2 Tomasz "CeDeROM" CEDRO 2019-09-08 23:54:27 UTC
Hello Johannes, thanks for quick response, here goes the outputs :-)




##### drm and xf86-video-intel and xorg.conf removed.

# pkg info -x intel
intel-backlight-20180328
# pkg info -x drm
libdrm-2.4.98_1,1
i# ls /etc/X11/
xorg.conf_


cd@0xCFMX4:~ % startx
xauth:  file /home/cd/.serverauth.15443 does not exist


X.Org X Server 1.18.4
Release Date: 2016-07-19
X Protocol Version 11, Revision 0
Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64
Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
Build Date: 22 August 2019  09:06:49AM

Current version of pixman: 0.34.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 22:11:04 2019
(==) Using default built-in configuration (39 lines)
scfb trace: probe start
scfb trace: probe done
(EE)
Fatal server error:
(EE) Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices
(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.


[ 34071.374] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[ 34071.374] X Protocol Version 11, Revision 0
[ 34071.374] Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64 
[ 34071.374] Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
[ 34071.374] Build Date: 22 August 2019  09:06:49AM
[ 34071.374]  
[ 34071.374] Current version of pixman: 0.34.0
[ 34071.375] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[ 34071.375] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 34071.375] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 22:11:04 2019
[ 34071.375] (II) Loader magic: 0x421020
[ 34071.375] (II) Module ABI versions:
[ 34071.375] 	X.Org ANSI C Emulation: 0.4
[ 34071.375] 	X.Org Video Driver: 20.0
[ 34071.375] 	X.Org XInput driver : 22.1
[ 34071.376] 	X.Org Server Extension : 9.0
[ 34071.376] (--) PCI:*(0:0:2:0) 8086:1616:10f7:8338 rev 9, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/65536
[ 34071.376] (==) Using default built-in configuration (39 lines)
[ 34071.376] (==) --- Start of built-in configuration ---
[ 34071.376] 	Section "Device"
[ 34071.376] 		Identifier	"Builtin Default intel Device 0"
[ 34071.376] 		Driver	"intel"
[ 34071.376] 	EndSection
[ 34071.376] 	Section "Screen"
[ 34071.376] 		Identifier	"Builtin Default intel Screen 0"
[ 34071.376] 		Device	"Builtin Default intel Device 0"
[ 34071.376] 	EndSection
[ 34071.376] 	Section "Device"
[ 34071.376] 		Identifier	"Builtin Default modesetting Device 0"
[ 34071.376] 		Driver	"modesetting"
[ 34071.376] 	EndSection
[ 34071.377] 	Section "Screen"
[ 34071.377] 		Identifier	"Builtin Default modesetting Screen 0"
[ 34071.377] 		Device	"Builtin Default modesetting Device 0"
[ 34071.377] 	EndSection
[ 34071.377] 	Section "Device"
[ 34071.377] 		Identifier	"Builtin Default scfb Device 0"
[ 34071.377] 		Driver	"scfb"
[ 34071.377] 	EndSection
[ 34071.377] 	Section "Screen"
[ 34071.377] 		Identifier	"Builtin Default scfb Screen 0"
[ 34071.377] 		Device	"Builtin Default scfb Device 0"
[ 34071.377] 	EndSection
[ 34071.377] 	Section "Device"
[ 34071.377] 		Identifier	"Builtin Default vesa Device 0"
[ 34071.377] 		Driver	"vesa"
[ 34071.377] 	EndSection
[ 34071.377] 	Section "Screen"
[ 34071.377] 		Identifier	"Builtin Default vesa Screen 0"
[ 34071.377] 		Device	"Builtin Default vesa Device 0"
[ 34071.377] 	EndSection
[ 34071.377] 	Section "ServerLayout"
[ 34071.377] 		Identifier	"Builtin Default Layout"
[ 34071.377] 		Screen	"Builtin Default intel Screen 0"
[ 34071.377] 		Screen	"Builtin Default modesetting Screen 0"
[ 34071.377] 		Screen	"Builtin Default scfb Screen 0"
[ 34071.377] 		Screen	"Builtin Default vesa Screen 0"
[ 34071.377] 	EndSection
[ 34071.377] (==) --- End of built-in configuration ---
[ 34071.377] (==) ServerLayout "Builtin Default Layout"
[ 34071.378] (**) |-->Screen "Builtin Default intel Screen 0" (0)
[ 34071.378] (**) |   |-->Monitor "<default monitor>"
[ 34071.378] (**) |   |-->Device "Builtin Default intel Device 0"
[ 34071.378] (==) No monitor specified for screen "Builtin Default intel Screen 0".
	Using a default monitor configuration.
[ 34071.378] (**) |-->Screen "Builtin Default modesetting Screen 0" (1)
[ 34071.378] (**) |   |-->Monitor "<default monitor>"
[ 34071.378] (**) |   |-->Device "Builtin Default modesetting Device 0"
[ 34071.378] (==) No monitor specified for screen "Builtin Default modesetting Screen 0".
	Using a default monitor configuration.
[ 34071.378] (**) |-->Screen "Builtin Default scfb Screen 0" (2)
[ 34071.378] (**) |   |-->Monitor "<default monitor>"
[ 34071.379] (**) |   |-->Device "Builtin Default scfb Device 0"
[ 34071.379] (==) No monitor specified for screen "Builtin Default scfb Screen 0".
	Using a default monitor configuration.
[ 34071.379] (**) |-->Screen "Builtin Default vesa Screen 0" (3)
[ 34071.379] (**) |   |-->Monitor "<default monitor>"
[ 34071.379] (**) |   |-->Device "Builtin Default vesa Device 0"
[ 34071.379] (==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
[ 34071.379] (==) Automatically adding devices
[ 34071.379] (==) Automatically enabling devices
[ 34071.379] (==) Not automatically adding GPU devices
[ 34071.379] (==) Max clients allowed: 256, resource mask: 0x1fffff
[ 34071.379] (==) FontPath set to:
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/
[ 34071.380] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[ 34071.380] (II) The server relies on devd to provide the list of input devices.
	If no devices become available, reconfigure devd or disable AutoAddDevices.
[ 34071.380] (II) LoadModule: "glx"
[ 34071.380] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[ 34071.383] (II) Module glx: vendor="X.Org Foundation"
[ 34071.383] 	compiled for 1.18.4, module version = 1.0.0
[ 34071.383] 	ABI class: X.Org Server Extension, version 9.0
[ 34071.383] (==) AIGLX enabled
[ 34071.383] (II) LoadModule: "intel"
[ 34071.385] (WW) Warning, couldn't open module intel
[ 34071.385] (II) UnloadModule: "intel"
[ 34071.385] (II) Unloading intel
[ 34071.385] (EE) Failed to load module "intel" (module does not exist, 0)
[ 34071.385] (II) LoadModule: "modesetting"
[ 34071.385] (II) Loading /usr/local/lib/xorg/modules/drivers/modesetting_drv.so
[ 34071.388] (II) Module modesetting: vendor="X.Org Foundation"
[ 34071.388] 	compiled for 1.18.4, module version = 1.18.4
[ 34071.388] 	Module class: X.Org Video Driver
[ 34071.388] 	ABI class: X.Org Video Driver, version 20.0
[ 34071.388] (II) LoadModule: "scfb"
[ 34071.389] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[ 34071.389] (II) Module scfb: vendor="X.Org Foundation"
[ 34071.389] 	compiled for 1.18.4, module version = 0.0.4
[ 34071.389] 	ABI class: X.Org Video Driver, version 20.0
[ 34071.389] (II) LoadModule: "vesa"
[ 34071.390] (II) Loading /usr/local/lib/xorg/modules/drivers/vesa_drv.so
[ 34071.390] (II) Module vesa: vendor="X.Org Foundation"
[ 34071.390] 	compiled for 1.18.4, module version = 2.4.0
[ 34071.390] 	Module class: X.Org Video Driver
[ 34071.391] 	ABI class: X.Org Video Driver, version 20.0
[ 34071.391] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[ 34071.391] (II) scfb: driver for wsdisplay framebuffer: scfb
[ 34071.391] (II) VESA: driver for VESA chipsets: vesa
[ 34071.391] (--) Using syscons driver with X support (version 2.0)
[ 34071.391] (--) using VT number 9

[ 34071.392] (EE) open /dev/dri/card0: No such file or directory
[ 34071.392] (WW) Falling back to old probe method for modesetting
[ 34071.392] (EE) open /dev/dri/card0: No such file or directory
[ 34071.392] (WW) Falling back to old probe method for scfb
[ 34071.392] scfb trace: probe start
[ 34071.392] (II) scfb(1): using default device
[ 34071.392] scfb trace: probe done
[ 34071.392] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[ 34071.392] (EE) Screen 0 deleted because of no matching config section.
[ 34071.392] (II) UnloadModule: "modesetting"
[ 34071.393] (EE) 
Fatal server error:
[ 34071.393] (EE) Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices
[ 34071.393] (EE) 
[ 34071.393] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[ 34071.393] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 34071.393] (EE) 
[ 34071.394] (EE) Server terminated with error (1). Closing log file.



#### no xorg.conf, no video-intel, added drm-kmod.

# pkg install drm-kmod
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        drm-kmod: g20190710
        drm-fbsd12.0-kmod: 4.16.g20190814

Number of packages to be installed: 2

The process will require 10 MiB more space.
812 B to be downloaded.

Proceed with this action? [y/N]: y
[1/1] Fetching drm-kmod-g20190710.txz: 100%    812 B   0.8kB/s    00:01
Checking integrity... done (0 conflicting)
[1/2] Installing drm-fbsd12.0-kmod-4.16.g20190814...
[1/2] Extracting drm-fbsd12.0-kmod-4.16.g20190814: 100%
[2/2] Installing drm-kmod-g20190710...
Message from drm-fbsd12.0-kmod-4.16.g20190814:

The drm-fbsd12.0-kmod port can be enabled for amdgpu (for AMD GPUs starting
with the HD7000 series / Tahiti) or i915kms (for Intel APUs starting with
HD3000 / Sandy Bridge) through kld_list in /etc/rc.conf. radeonkms for older
AMD GPUs can be loaded and there are some positive reports if EFI boot is NOT
enabled (similar to amdgpu).

For amdgpu: kld_list="amdgpu"
For Intel: kld_list="/boot/modules/i915kms.ko"
For radeonkms: kld_list="/boot/modules/radeonkms.ko"

Please ensure that all users requiring graphics are members of the
"video" group.

Older generations are supported by the legacy kms modules (radeonkms /
i915kms) in base or by installing graphics/drm-legacy-kmod.


# cat /etc/group |grep video
video:*:44:cd

# startx
xauth:  file /root/.serverauth.36414 does not exist


X.Org X Server 1.18.4
Release Date: 2016-07-19
X Protocol Version 11, Revision 0
Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64
Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
Build Date: 22 August 2019  09:06:49AM

Current version of pixman: 0.34.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 22:17:38 2019
(==) Using default built-in configuration (39 lines)
scfb trace: probe start
scfb trace: probe done
(EE)
Fatal server error:
(EE) Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices
(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.
^Cxinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: unexpected signal 2



[ 34465.209] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[ 34465.210] X Protocol Version 11, Revision 0
[ 34465.210] Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64 
[ 34465.210] Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
[ 34465.210] Build Date: 22 August 2019  09:06:49AM
[ 34465.210]  
[ 34465.210] Current version of pixman: 0.34.0
[ 34465.210] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[ 34465.210] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 34465.210] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 22:17:38 2019
[ 34465.210] (II) Loader magic: 0x421020
[ 34465.210] (II) Module ABI versions:
[ 34465.210] 	X.Org ANSI C Emulation: 0.4
[ 34465.210] 	X.Org Video Driver: 20.0
[ 34465.210] 	X.Org XInput driver : 22.1
[ 34465.210] 	X.Org Server Extension : 9.0
[ 34465.210] (--) PCI:*(0:0:2:0) 8086:1616:10f7:8338 rev 9, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/65536
[ 34465.211] (==) Using default built-in configuration (39 lines)
[ 34465.211] (==) --- Start of built-in configuration ---
[ 34465.211] 	Section "Device"
[ 34465.211] 		Identifier	"Builtin Default intel Device 0"
[ 34465.211] 		Driver	"intel"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "Screen"
[ 34465.211] 		Identifier	"Builtin Default intel Screen 0"
[ 34465.211] 		Device	"Builtin Default intel Device 0"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "Device"
[ 34465.211] 		Identifier	"Builtin Default modesetting Device 0"
[ 34465.211] 		Driver	"modesetting"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "Screen"
[ 34465.211] 		Identifier	"Builtin Default modesetting Screen 0"
[ 34465.211] 		Device	"Builtin Default modesetting Device 0"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "Device"
[ 34465.211] 		Identifier	"Builtin Default scfb Device 0"
[ 34465.211] 		Driver	"scfb"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "Screen"
[ 34465.211] 		Identifier	"Builtin Default scfb Screen 0"
[ 34465.211] 		Device	"Builtin Default scfb Device 0"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "Device"
[ 34465.211] 		Identifier	"Builtin Default vesa Device 0"
[ 34465.211] 		Driver	"vesa"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "Screen"
[ 34465.211] 		Identifier	"Builtin Default vesa Screen 0"
[ 34465.211] 		Device	"Builtin Default vesa Device 0"
[ 34465.211] 	EndSection
[ 34465.211] 	Section "ServerLayout"
[ 34465.211] 		Identifier	"Builtin Default Layout"
[ 34465.211] 		Screen	"Builtin Default intel Screen 0"
[ 34465.211] 		Screen	"Builtin Default modesetting Screen 0"
[ 34465.211] 		Screen	"Builtin Default scfb Screen 0"
[ 34465.211] 		Screen	"Builtin Default vesa Screen 0"
[ 34465.211] 	EndSection
[ 34465.211] (==) --- End of built-in configuration ---
[ 34465.211] (==) ServerLayout "Builtin Default Layout"
[ 34465.211] (**) |-->Screen "Builtin Default intel Screen 0" (0)
[ 34465.211] (**) |   |-->Monitor "<default monitor>"
[ 34465.211] (**) |   |-->Device "Builtin Default intel Device 0"
[ 34465.211] (==) No monitor specified for screen "Builtin Default intel Screen 0".
	Using a default monitor configuration.
[ 34465.211] (**) |-->Screen "Builtin Default modesetting Screen 0" (1)
[ 34465.211] (**) |   |-->Monitor "<default monitor>"
[ 34465.212] (**) |   |-->Device "Builtin Default modesetting Device 0"
[ 34465.212] (==) No monitor specified for screen "Builtin Default modesetting Screen 0".
	Using a default monitor configuration.
[ 34465.212] (**) |-->Screen "Builtin Default scfb Screen 0" (2)
[ 34465.212] (**) |   |-->Monitor "<default monitor>"
[ 34465.212] (**) |   |-->Device "Builtin Default scfb Device 0"
[ 34465.212] (==) No monitor specified for screen "Builtin Default scfb Screen 0".
	Using a default monitor configuration.
[ 34465.212] (**) |-->Screen "Builtin Default vesa Screen 0" (3)
[ 34465.212] (**) |   |-->Monitor "<default monitor>"
[ 34465.212] (**) |   |-->Device "Builtin Default vesa Device 0"
[ 34465.212] (==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
[ 34465.212] (==) Automatically adding devices
[ 34465.212] (==) Automatically enabling devices
[ 34465.212] (==) Not automatically adding GPU devices
[ 34465.212] (==) Max clients allowed: 256, resource mask: 0x1fffff
[ 34465.212] (==) FontPath set to:
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/
[ 34465.212] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[ 34465.212] (II) The server relies on devd to provide the list of input devices.
	If no devices become available, reconfigure devd or disable AutoAddDevices.
[ 34465.212] (II) LoadModule: "glx"
[ 34465.212] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[ 34465.214] (II) Module glx: vendor="X.Org Foundation"
[ 34465.214] 	compiled for 1.18.4, module version = 1.0.0
[ 34465.214] 	ABI class: X.Org Server Extension, version 9.0
[ 34465.214] (==) AIGLX enabled
[ 34465.214] (II) LoadModule: "intel"
[ 34465.215] (WW) Warning, couldn't open module intel
[ 34465.215] (II) UnloadModule: "intel"
[ 34465.215] (II) Unloading intel
[ 34465.215] (EE) Failed to load module "intel" (module does not exist, 0)
[ 34465.215] (II) LoadModule: "modesetting"
[ 34465.215] (II) Loading /usr/local/lib/xorg/modules/drivers/modesetting_drv.so
[ 34465.215] (II) Module modesetting: vendor="X.Org Foundation"
[ 34465.215] 	compiled for 1.18.4, module version = 1.18.4
[ 34465.215] 	Module class: X.Org Video Driver
[ 34465.215] 	ABI class: X.Org Video Driver, version 20.0
[ 34465.215] (II) LoadModule: "scfb"
[ 34465.215] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[ 34465.215] (II) Module scfb: vendor="X.Org Foundation"
[ 34465.215] 	compiled for 1.18.4, module version = 0.0.4
[ 34465.215] 	ABI class: X.Org Video Driver, version 20.0
[ 34465.215] (II) LoadModule: "vesa"
[ 34465.216] (II) Loading /usr/local/lib/xorg/modules/drivers/vesa_drv.so
[ 34465.216] (II) Module vesa: vendor="X.Org Foundation"
[ 34465.216] 	compiled for 1.18.4, module version = 2.4.0
[ 34465.216] 	Module class: X.Org Video Driver
[ 34465.216] 	ABI class: X.Org Video Driver, version 20.0
[ 34465.216] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[ 34465.216] (II) scfb: driver for wsdisplay framebuffer: scfb
[ 34465.216] (II) VESA: driver for VESA chipsets: vesa
[ 34465.216] (--) Using syscons driver with X support (version 2.0)
[ 34465.216] (--) using VT number 9

[ 34465.217] (EE) open /dev/dri/card0: No such file or directory
[ 34465.217] (WW) Falling back to old probe method for modesetting
[ 34465.217] (EE) open /dev/dri/card0: No such file or directory
[ 34465.217] (WW) Falling back to old probe method for scfb
[ 34465.217] scfb trace: probe start
[ 34465.217] (II) scfb(1): using default device
[ 34465.217] scfb trace: probe done
[ 34465.217] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[ 34465.217] (EE) Screen 0 deleted because of no matching config section.
[ 34465.217] (II) UnloadModule: "modesetting"
[ 34465.217] (EE) 
Fatal server error:
[ 34465.217] (EE) Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices
[ 34465.217] (EE) 
[ 34465.217] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[ 34465.217] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 34465.217] (EE) 
[ 34465.220] (EE) Server terminated with error (1). Closing log file.



#### no xorg.conf, with drm-kmod and video-intel.

# pkg install xf86-video-intel
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking integrity... done (0 conflicting)
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        xf86-video-intel: 2.99.917.20181203

Number of packages to be installed: 1

The process will require 2 MiB more space.

Proceed with this action? [y/N]: y
[1/1] Installing xf86-video-intel-2.99.917.20181203...
[1/1] Extracting xf86-video-intel-2.99.917.20181203: 100%
root@0xCFMX4:/usr/ports/graphics/drm-fbsd12.0-kmod # startx
xauth:  file /root/.serverauth.45456 does not exist


X.Org X Server 1.18.4
Release Date: 2016-07-19
X Protocol Version 11, Revision 0
Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64
Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
Build Date: 22 August 2019  09:06:49AM

Current version of pixman: 0.34.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 22:19:20 2019
(==) Using default built-in configuration (39 lines)
scfb trace: probe start
scfb trace: probe done
(EE)
Fatal server error:
(EE) Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices
(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.
^Cxinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: unexpected signal 2

[ 34567.167] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[ 34567.167] X Protocol Version 11, Revision 0
[ 34567.167] Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64 
[ 34567.167] Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
[ 34567.167] Build Date: 22 August 2019  09:06:49AM
[ 34567.167]  
[ 34567.167] Current version of pixman: 0.34.0
[ 34567.167] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[ 34567.167] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[ 34567.167] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Sep  8 22:19:20 2019
[ 34567.167] (II) Loader magic: 0x421020
[ 34567.167] (II) Module ABI versions:
[ 34567.167] 	X.Org ANSI C Emulation: 0.4
[ 34567.167] 	X.Org Video Driver: 20.0
[ 34567.167] 	X.Org XInput driver : 22.1
[ 34567.167] 	X.Org Server Extension : 9.0
[ 34567.168] (--) PCI:*(0:0:2:0) 8086:1616:10f7:8338 rev 9, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/65536
[ 34567.168] (==) Using default built-in configuration (39 lines)
[ 34567.168] (==) --- Start of built-in configuration ---
[ 34567.168] 	Section "Device"
[ 34567.168] 		Identifier	"Builtin Default intel Device 0"
[ 34567.168] 		Driver	"intel"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "Screen"
[ 34567.168] 		Identifier	"Builtin Default intel Screen 0"
[ 34567.168] 		Device	"Builtin Default intel Device 0"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "Device"
[ 34567.168] 		Identifier	"Builtin Default modesetting Device 0"
[ 34567.168] 		Driver	"modesetting"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "Screen"
[ 34567.168] 		Identifier	"Builtin Default modesetting Screen 0"
[ 34567.168] 		Device	"Builtin Default modesetting Device 0"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "Device"
[ 34567.168] 		Identifier	"Builtin Default scfb Device 0"
[ 34567.168] 		Driver	"scfb"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "Screen"
[ 34567.168] 		Identifier	"Builtin Default scfb Screen 0"
[ 34567.168] 		Device	"Builtin Default scfb Device 0"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "Device"
[ 34567.168] 		Identifier	"Builtin Default vesa Device 0"
[ 34567.168] 		Driver	"vesa"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "Screen"
[ 34567.168] 		Identifier	"Builtin Default vesa Screen 0"
[ 34567.168] 		Device	"Builtin Default vesa Device 0"
[ 34567.168] 	EndSection
[ 34567.168] 	Section "ServerLayout"
[ 34567.168] 		Identifier	"Builtin Default Layout"
[ 34567.168] 		Screen	"Builtin Default intel Screen 0"
[ 34567.168] 		Screen	"Builtin Default modesetting Screen 0"
[ 34567.168] 		Screen	"Builtin Default scfb Screen 0"
[ 34567.168] 		Screen	"Builtin Default vesa Screen 0"
[ 34567.168] 	EndSection
[ 34567.168] (==) --- End of built-in configuration ---
[ 34567.168] (==) ServerLayout "Builtin Default Layout"
[ 34567.168] (**) |-->Screen "Builtin Default intel Screen 0" (0)
[ 34567.168] (**) |   |-->Monitor "<default monitor>"
[ 34567.168] (**) |   |-->Device "Builtin Default intel Device 0"
[ 34567.168] (==) No monitor specified for screen "Builtin Default intel Screen 0".
	Using a default monitor configuration.
[ 34567.168] (**) |-->Screen "Builtin Default modesetting Screen 0" (1)
[ 34567.168] (**) |   |-->Monitor "<default monitor>"
[ 34567.168] (**) |   |-->Device "Builtin Default modesetting Device 0"
[ 34567.168] (==) No monitor specified for screen "Builtin Default modesetting Screen 0".
	Using a default monitor configuration.
[ 34567.168] (**) |-->Screen "Builtin Default scfb Screen 0" (2)
[ 34567.168] (**) |   |-->Monitor "<default monitor>"
[ 34567.168] (**) |   |-->Device "Builtin Default scfb Device 0"
[ 34567.168] (==) No monitor specified for screen "Builtin Default scfb Screen 0".
	Using a default monitor configuration.
[ 34567.168] (**) |-->Screen "Builtin Default vesa Screen 0" (3)
[ 34567.168] (**) |   |-->Monitor "<default monitor>"
[ 34567.169] (**) |   |-->Device "Builtin Default vesa Device 0"
[ 34567.169] (==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
[ 34567.169] (==) Automatically adding devices
[ 34567.169] (==) Automatically enabling devices
[ 34567.169] (==) Not automatically adding GPU devices
[ 34567.169] (==) Max clients allowed: 256, resource mask: 0x1fffff
[ 34567.169] (==) FontPath set to:
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/
[ 34567.169] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[ 34567.169] (II) The server relies on devd to provide the list of input devices.
	If no devices become available, reconfigure devd or disable AutoAddDevices.
[ 34567.169] (II) LoadModule: "glx"
[ 34567.169] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[ 34567.170] (II) Module glx: vendor="X.Org Foundation"
[ 34567.170] 	compiled for 1.18.4, module version = 1.0.0
[ 34567.170] 	ABI class: X.Org Server Extension, version 9.0
[ 34567.170] (==) AIGLX enabled
[ 34567.170] (II) LoadModule: "intel"
[ 34567.170] (II) Loading /usr/local/lib/xorg/modules/drivers/intel_drv.so
[ 34567.170] (II) Module intel: vendor="X.Org Foundation"
[ 34567.170] 	compiled for 1.18.4, module version = 2.99.917
[ 34567.171] 	Module class: X.Org Video Driver
[ 34567.171] 	ABI class: X.Org Video Driver, version 20.0
[ 34567.171] (II) LoadModule: "modesetting"
[ 34567.171] (II) Loading /usr/local/lib/xorg/modules/drivers/modesetting_drv.so
[ 34567.171] (II) Module modesetting: vendor="X.Org Foundation"
[ 34567.171] 	compiled for 1.18.4, module version = 1.18.4
[ 34567.171] 	Module class: X.Org Video Driver
[ 34567.171] 	ABI class: X.Org Video Driver, version 20.0
[ 34567.171] (II) LoadModule: "scfb"
[ 34567.171] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[ 34567.171] (II) Module scfb: vendor="X.Org Foundation"
[ 34567.171] 	compiled for 1.18.4, module version = 0.0.4
[ 34567.171] 	ABI class: X.Org Video Driver, version 20.0
[ 34567.171] (II) LoadModule: "vesa"
[ 34567.171] (II) Loading /usr/local/lib/xorg/modules/drivers/vesa_drv.so
[ 34567.171] (II) Module vesa: vendor="X.Org Foundation"
[ 34567.171] 	compiled for 1.18.4, module version = 2.4.0
[ 34567.171] 	Module class: X.Org Video Driver
[ 34567.171] 	ABI class: X.Org Video Driver, version 20.0
[ 34567.171] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
	i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
	915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
	Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
	GM45, 4 Series, G45/G43, Q45/Q43, G41, B43
[ 34567.172] (II) intel: Driver for Intel(R) HD Graphics
[ 34567.172] (II) intel: Driver for Intel(R) Iris(TM) Graphics
[ 34567.172] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics
[ 34567.172] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[ 34567.172] (II) scfb: driver for wsdisplay framebuffer: scfb
[ 34567.172] (II) VESA: driver for VESA chipsets: vesa
[ 34567.172] (--) Using syscons driver with X support (version 2.0)
[ 34567.172] (--) using VT number 9

[ 34567.173] (EE) open /dev/dri/card0: No such file or directory
[ 34567.173] (WW) Falling back to old probe method for modesetting
[ 34567.173] (EE) open /dev/dri/card0: No such file or directory
[ 34567.173] (WW) Falling back to old probe method for scfb
[ 34567.173] scfb trace: probe start
[ 34567.173] (II) scfb(1): using default device
[ 34567.173] scfb trace: probe done
[ 34567.173] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[ 34567.173] (EE) Screen 0 deleted because of no matching config section.
[ 34567.173] (II) UnloadModule: "modesetting"
[ 34567.173] (EE) 
Fatal server error:
[ 34567.173] (EE) Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices
[ 34567.173] (EE) 
[ 34567.173] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[ 34567.173] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 34567.173] (EE) 
[ 34567.174] (EE) Server terminated with error (1). Closing log file.
Comment 3 Johannes Lundberg freebsd_committer 2019-09-09 04:21:45 UTC
Looks like you're not loading the kernel module.

$ sudo kldload i915kms

or add to rc.conf:

kld_list="/boot/modules/i915kms.ko"

and reboot.
Comment 4 Johannes Lundberg freebsd_committer 2019-09-09 04:23:06 UTC
That might have to be

$ sudo kldload /boot/modules/drm.ko && sudo kldload /boot/modules/i915kms.ko

if you still have the old drm stuff in /boot/kernel...
Comment 5 rkoberman 2019-09-09 05:25:13 UTC
For reference, the HD5500 is a Broadwell chip.

You have had some good advice. Move your configuration file aside. They generally cause trouble other than short files to add fonts or to specify non-default options.

Second, as suggested, remove any xf86-video-intel driver and let the system use the modesetting driver. My older generation Intel graphics worked much better and was faster with modesetting.

Finally, don't try running X as root! This has been considered a security problem for many years. It may be better these days, but I would still not ever do this, especially when I see the xauth error. there was another bug about this issue about a month ago, but I don't recall the resolution. You might search bugzilla.
Comment 6 Jan Beich freebsd_committer 2019-09-09 07:30:44 UTC
(In reply to rkoberman from comment #5)
> Finally, don't try running X as root! 

"startx", not "X". xorg-server on FreeBSD uses root via SUID for /dev/ttyvN, /dev/io, DRM_IOCTL_SET_MASTER, /dev/sysmouse. Priveleges maybe dropped, so check EUID from "procstat -s $(pgrep Xorg)".

https://gitlab.freedesktop.org/xorg/xserver/blob/xorg-server-1.20.4/hw/xfree86/os-support/bsd/bsd_init.c#L169-171
https://github.com/freebsd/freebsd/blob/releng/12.0/sys/dev/io/iodev.c#L73
https://github.com/FreeBSDDesktop/kms-drm/blob/drm-v5.0/drivers/gpu/drm/drm_ioctl.c#L595-L596
Comment 7 Tomasz "CeDeROM" CEDRO 2019-09-09 08:50:01 UTC
Thank you guys!

Silly problem as it turns out, sorry, my mistake! :-(

There is a /boot/kernel/i915kms.ko that shadows /boot/modules/i915kms.ko. The default one /boot/kernel/i915kms.ko does not work with my card, but when I explicitly load /boot/modules/i915.ko IT WORKS!!! THANK YOU!!! :-)

Some folks stated that this card is supported since 2018 so I considered it will be supported out of the box in GENERIC / RELEASE, my mistake.

Yes I never run X as root, that was just for testing (in case my standard user was missing some permissions).


By the way I heard about WAYLAND as replacement for XORG. I am using new Enlightenment WM that also supports it. Is WAYLAND supported on FreeBSD and if so where can I read about it? You are most experienced people with first hand knowledge sorry for the question here in PR :-)


root@0xCFMX4:~ # kldstat
Id Refs Address                Size Name
 1   69 0xffffffff80200000  243d228 kernel
 2    1 0xffffffff8263e000    a6b78 linux.ko
 3    2 0xffffffff826e5000     8df8 linux_common.ko
 4    1 0xffffffff826ee000    27f48 geom_mirror.ko
 5    1 0xffffffff82716000   3a9a10 zfs.ko
 6    2 0xffffffff82ac0000     a4f0 opensolaris.ko
 7    1 0xffffffff82acc000     c7e0 aesni.ko
 8    1 0xffffffff82ad9000    16750 fuse.ko
 9    1 0xffffffff82af0000    1ead0 geom_eli.ko
10    1 0xffffffff833fa000    120e0 drm.ko
11    1 0xffffffff8340d000    7f4a0 i915kms.ko
12    1 0xffffffff8348d000    45070 drm2.ko
13    4 0xffffffff834d3000     2020 iicbus.ko
14    1 0xffffffff834d6000      f98 iic.ko
15    1 0xffffffff834d7000     1570 iicbb.ko
16    1 0xffffffff834d9000    fb241 iwm7265Dfw.ko
17    1 0xffffffff835d5000    15630 if_iwm.ko
18    1 0xffffffff835eb000     1800 uhid.ko
19    1 0xffffffff835ed000     4d40 u3g.ko
20    1 0xffffffff835f2000     4390 ucom.ko
21    1 0xffffffff835f7000    25a68 ipfw.ko
root@0xCFMX4:~ # kldunload i915kms
root@0xCFMX4:~ # kldstat
Id Refs Address                Size Name
 1   49 0xffffffff80200000  243d228 kernel
 2    1 0xffffffff8263e000    a6b78 linux.ko
 3    2 0xffffffff826e5000     8df8 linux_common.ko
 4    1 0xffffffff826ee000    27f48 geom_mirror.ko
 5    1 0xffffffff82716000   3a9a10 zfs.ko
 6    2 0xffffffff82ac0000     a4f0 opensolaris.ko
 7    1 0xffffffff82acc000     c7e0 aesni.ko
 8    1 0xffffffff82ad9000    16750 fuse.ko
 9    1 0xffffffff82af0000    1ead0 geom_eli.ko
10    1 0xffffffff833fa000    120e0 drm.ko
16    1 0xffffffff834d9000    fb241 iwm7265Dfw.ko
17    1 0xffffffff835d5000    15630 if_iwm.ko
18    1 0xffffffff835eb000     1800 uhid.ko
19    1 0xffffffff835ed000     4d40 u3g.ko
20    1 0xffffffff835f2000     4390 ucom.ko
21    1 0xffffffff835f7000    25a68 ipfw.ko
root@0xCFMX4:~ # kldunload drm
root@0xCFMX4:~ # kldstat
Id Refs Address                Size Name
 1   45 0xffffffff80200000  243d228 kernel
 2    1 0xffffffff8263e000    a6b78 linux.ko
 3    2 0xffffffff826e5000     8df8 linux_common.ko
 4    1 0xffffffff826ee000    27f48 geom_mirror.ko
 5    1 0xffffffff82716000   3a9a10 zfs.ko
 6    2 0xffffffff82ac0000     a4f0 opensolaris.ko
 7    1 0xffffffff82acc000     c7e0 aesni.ko
 8    1 0xffffffff82ad9000    16750 fuse.ko
 9    1 0xffffffff82af0000    1ead0 geom_eli.ko
16    1 0xffffffff834d9000    fb241 iwm7265Dfw.ko
17    1 0xffffffff835d5000    15630 if_iwm.ko
18    1 0xffffffff835eb000     1800 uhid.ko
19    1 0xffffffff835ed000     4d40 u3g.ko
20    1 0xffffffff835f2000     4390 ucom.ko
21    1 0xffffffff835f7000    25a68 ipfw.ko

root@0xCFMX4:~ # kldload /boot/modules/i915kms.ko
root@0xCFMX4:~ # kldstat
Id Refs Address                Size Name
 1   65 0xffffffff80200000  243d228 kernel
 2    1 0xffffffff8263e000    a6b78 linux.ko
 3    2 0xffffffff826e5000     8df8 linux_common.ko
 4    1 0xffffffff826ee000    27f48 geom_mirror.ko
 5    1 0xffffffff82716000   3a9a10 zfs.ko
 6    2 0xffffffff82ac0000     a4f0 opensolaris.ko
 7    1 0xffffffff82acc000     c7e0 aesni.ko
 8    1 0xffffffff82ad9000    16750 fuse.ko
 9    1 0xffffffff82af0000    1ead0 geom_eli.ko
16    1 0xffffffff834d9000    fb241 iwm7265Dfw.ko
17    1 0xffffffff835d5000    15630 if_iwm.ko
18    1 0xffffffff835eb000     1800 uhid.ko
19    1 0xffffffff835ed000     4d40 u3g.ko
20    1 0xffffffff835f2000     4390 ucom.ko
21    1 0xffffffff835f7000    25a68 ipfw.ko
22    1 0xffffffff8361d000   12ce50 i915kms.ko
23    1 0xffffffff833fa000    76990 drm.ko
24    4 0xffffffff83471000    104f0 linuxkpi.ko
25    3 0xffffffff83482000    12f30 linuxkpi_gplv2.ko
26    2 0xffffffff83495000      6c0 debugfs.ko

0xCFMX4% startx
xauth:  file /home/cd/.serverauth.40494 does not exist


X.Org X Server 1.18.4
Release Date: 2016-07-19
X Protocol Version 11, Revision 0
Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64
Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
Build Date: 22 August 2019  09:06:49AM

Current version of pixman: 0.34.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Sep  9 10:34:00 2019
(==) Using default built-in configuration (39 lines)
scfb trace: probe start
scfb trace: probe done
E - PID=47271, valgrind=0
ESTART: 0.00000 [0.00000] - Begin Startup
ESTART: 0.00013 [0.00013] - Signal Trap
ESTART: 0.00016 [0.00003] - Signal Trap Done
ESTART: 0.00026 [0.00010] - Eina Init
ESTART: 0.00114 [0.00087] - Eina Init Done
ESTART: 0.00116 [0.00003] - Determine Prefix
ESTART: 0.00128 [0.00011] - Determine Prefix Done
ESTART: 0.00130 [0.00002] - Environment Variables
ESTART: 0.00135 [0.00005] - Environment Variables Done
ESTART: 0.00135 [0.00001] - Parse Arguments
ESTART: 0.00136 [0.00001] - Parse Arguments Done
ESTART: 0.00137 [0.00000] - Eet Init
ESTART: 0.00141 [0.00004] - Eet Init Done
ESTART: 0.00141 [0.00000] - Ecore Init
ESTART: 0.00668 [0.00527] - Ecore Init Done
ESTART: 0.00671 [0.00003] - EFX Init
ESTART: 0.00672 [0.00001] - EFX Init Done
ESTART: 0.00673 [0.00000] - EIO Init
ESTART: 0.03909 [0.03237] - EIO Init Done
ESTART: 0.03911 [0.00002] - Ecore Event Handlers
ESTART: 0.03911 [0.00000] - Ecore Event Handlers Done
ESTART: 0.03911 [0.00000] - Ecore_File Init
ESTART: 0.03912 [0.00001] - Ecore_File Init Done
ESTART: 0.03912 [0.00000] - Ecore_Con Init
ESTART: 0.03913 [0.00000] - Ecore_Con Init Done
ESTART: 0.03913 [0.00000] - Ecore_Ipc Init
ESTART: 0.03913 [0.00000] - Ecore_Ipc Init Done
ESTART: 0.03931 [0.00018] - Ecore_Evas Init
ESTART: 0.03965 [0.00034] - Ecore_Evas Init Done
ESTART: 0.03966 [0.00001] - Elementary Init
ESTART: 0.06450 [0.02485] - Elementary Init Done
ESTART: 0.06452 [0.00002] - Emotion Init
ESTART: 0.06473 [0.00021] - Emotion Init Done
ESTART: 0.06474 [0.00001] - Ecore_Evas Engine Check
ESTART: 0.06475 [0.00001] - Ecore_Evas Engine Check Done
ESTART: 0.06475 [0.00001] - E Intl Init
ESTART: 0.06479 [0.00003] - E Intl Init Done
ESTART: 0.06479 [0.00001] - E_Alert Init
ESTART: 0.06479 [0.00000] - E_Alert Init Done
ESTART: 0.06480 [0.00000] - E Directories Init
ESTART: 0.06494 [0.00014] - E Directories Init Done
ESTART: 0.06494 [0.00001] - E_Filereg Init
ESTART: 0.06495 [0.00000] - E_Filereg Init Done
ESTART: 0.06495 [0.00000] - E_Config Init
ESTART: 0.06789 [0.00294] - E_Config Init Done
ESTART: 0.06801 [0.00012] - E_Env Init
ESTART: 0.06808 [0.00007] - E_Env Init Done
ESTART: 0.06815 [0.00007] - E Paths Init
ESTART: 0.06826 [0.00011] - E Paths Init Done
ESTART: 0.06833 [0.00006] - E_Ipc Init
ESTART: 0.06940 [0.00107] - E_Ipc Init Done
ESTART: 0.06942 [0.00002] - E_Font Init
ESTART: 0.06942 [0.00000] - E_Font Init Done
ESTART: 0.06942 [0.00000] - E_Font Apply
ESTART: 0.06943 [0.00001] - E_Font Apply Done
ESTART: 0.06943 [0.00000] - E_Theme Init
ESTART: 0.06945 [0.00002] - E_Theme Init Done
ESTART: 0.06946 [0.00000] - E_Moveresize Init
ESTART: 0.06947 [0.00001] - E_Moveresize Init Done
ESTART: 0.06947 [0.00001] - E_Msgbus Init
ESTART: 0.07040 [0.00093] - E_Msgbus Init Done
ESTART: 0.07041 [0.00001] - Efreet Init
ESTART: 0.07042 [0.00001] - Efreet Init Done
ESTART: 0.07043 [0.00001] - E_Intl Post Init
ESTART: 0.07474 [0.00431] - E_Intl Post Init Done
ESTART: 0.07475 [0.00001] - E_Configure Init
ESTART: 0.07484 [0.00009] - E_Configure Init Done
ESTART: 0.07485 [0.00001] - E_Actions Init
ESTART: 0.07521 [0.00036] - E_Actions Init Done
ESTART: 0.07526 [0.00005] - E_Powersave Init
ESTART: 0.07526 [0.00001] - E_Powersave Init Done
ESTART: 0.07527 [0.00001] - Screens Init
ESTART: 0.07527 [0.00000] -     screens: client
ESTART: 0.07528 [0.00001] - E_Screensaver Init
ESTART: 0.07529 [0.00001] -     screens: client volume
ESTART: 0.07529 [0.00001] -     screens: win
ESTART: 0.07530 [0.00001] - Compositor Init
RRR: ................. info get!
RRR: .... out eDP1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x803383030
RRR: 'eDP1' 0 0 1920x1080
RRR: .... out HDMI1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x802c52440
RRR: 'HDMI1' 1920 0 1920x1080
RRR: .... out DP1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR:-------------------------------- 2
RRR: 'eDP1': 0 0 1920x1080
RRR: 'HDMI1': 1920 0 1920x1080
RRR: result max: 3840x1080
RRR: loaded existing config
RRR: check lid for eDP1...
RRR: check lid for HDMI1...
RRR: check lid for eDP1...
RRR: check lid for HDMI1...
RRR: check lid for eDP1...
RRR: check lid for HDMI1...
--------------------------------------------------
RRR: out id=eDP1/00ffffffffffff0028890214010101011e1a0104a51c10780216c5a4544b9b260f5054000000d1c001010101010101010101010101011a3680a070381f4030203500159c10000018112480a070381f4030203500159c10000018000000fc004c414d3132354d303037440a20000000ff004b3647303333333336320a202000be:  connected=1
RRR: check lid for eDP1...
RRR: out id=HDMI1/00ffffffffffff004c2d6906010000002f130103801009780aee91a3544c99260f5054bdef80714f8100814081809500950fb300a940023a801871382d40582c4500a05a0000001e662150b051001b3040703600a05a0000001e000000fd00184b1a5117000a202020202020000000fc0053414d53554e470a20202020200127020327f14b901f0413051403122021222309070783010000e2000fe305030167030c001000b82d011d007251d01e206e285500a05a0000001e011d00bc52d01e20b8285540a05a0000001e011d8018711c1620582c2500a05a0000009e011d80d0721c1620102c2580a05a0000009e000000000000000000000000000000001d:  connected=1
RRR: check lid for HDMI1...
RRR: out id=DP1/:  connected=0
--------------------------------------------------
RRR: re-get info before applying..
RRR: ................. info get!
RRR: .... out eDP1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x803383e10
RRR: 'eDP1' 0 0 1920x1080
RRR: .... out HDMI1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x802c524e0
RRR: 'HDMI1' 1920 0 1920x1080
RRR: .... out DP1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR:-------------------------------- 2
RRR: 'eDP1': 0 0 1920x1080
RRR: 'HDMI1': 1920 0 1920x1080
RRR: result max: 3840x1080
RRR: apply config...
RRR: apply 'eDP1'...
RRR: check lid for eDP1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 100
RRR: apply 'HDMI1'...
RRR: check lid for HDMI1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 1
RRR: apply 'DP1'...
RRR: check lid for DP1...
RRR: connected =  0
RRR: ... disabled
RRR: takeover config...
RRR: eval config...
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen config loop!
RRR: screen do 'HDMI1'
RRR: screen do 'HDMI1'
RRR: screen do 'HDMI1'
RRR: screen do 'HDMI1'
RRR: screen do 'HDMI1'
RRR: screen do 'HDMI1'
RRR: screen do 'HDMI1'
RRR: screen config loop!
RRR: 'HDMI1' is relative to 'eDP1'
RRR: screen do 'eDP1'
RRR: screen config loop!
RRR: to above relative
RRR: 'HDMI1' is relative to 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen config loop!
RRR: to above relative
RRR: 'HDMI1' is relative to 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen config loop!
RRR: to above relative
RRR: 'HDMI1' is relative to 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen config loop!
RRR: to above relative
RRR: 'HDMI1' is relative to 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen config loop!
RRR: to above relative
RRR: 'HDMI1' is relative to 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen do 'eDP1'
RRR: screen config loop!
RRR: to above relative
RRR: screen do 'DP1'
RRR: screen do 'DP1'
RRR: screen do 'DP1'
RRR: screen do 'DP1'
RRR: screen do 'DP1'
RRR: screen do 'DP1'
RRR: screen do 'DP1'
RRR: screen config loop!
RRR:--------------------------------
RRR: s: 'eDP1' @ 0 0 - 1920x1080
RRR: s: 'HDMI1' @ 0 -1080 - 1920x1080
RRR:--- 0 -1080 -> 1920 1080
RRR: really apply config...
RRR: cur size: 3840x1080
RRR: size range: 320x200 -> 8192x8192
RRR: cur size: 3840x1080
RRR: set vsize: 1920x2160
RRR: find output for 'eDP1'
RRR:   enabled: 1
RRR:     crtc slot empty: 0
RRR:       assign slot out: 42
RRR: find output for 'HDMI1'
RRR:   enabled: 1
RRR:     crtc slot empty: 1
RRR:       assign slot out: 43
RRR: find output for 'DP1'
RRR:   enabled: 0
RRR: modes for 'eDP1' are 0x803383e10 [9]
RRR: crtc on: 0 = 'eDP1'     @ 0 1080    - 1920x1080 orient 1 mode 46 out 42
RRR: modes for 'HDMI1' are 0x802c52580 [40]
RRR: crtc on: 1 = 'HDMI1'     @ 0 0    - 1920x1080 orient 1 mode 4f out 43
RRR: crtc off: 2
RRR: set vsize: 1920x2160
RRR: cur size: 3840x1080
RRR: done config...
xinerama screen 0 1080 1920x1080
xinerama screen 0 0 1920x1080
xinerama setup............... 2 0x0
ESTART: 0.38219 [0.30689] - E_Dnd Init
ESTART: 0.38230 [0.00011] - E_Dnd Init Done
ESTART: 0.38231 [0.00001] - Screens Init Done
ESTART: 0.38231 [0.00000] - E_Pointer Init
ESTART: 0.38232 [0.00001] - E_Pointer Init Done
ESTART: 0.38232 [0.00001] - E_Scale Init
ESTART: 0.38645 [0.00412] - E_Scale Init Done
ESTART: 0.38646 [0.00001] - E_Splash Init
ESTART: 0.38646 [0.00000] - E_Splash Init Done
ESTART: 0.40367 [0.01721] - Test File Format Support
ESTART: 0.41727 [0.01360] - Test File Format Support Done
ESTART: 0.41730 [0.00003] - E_Acpi Init
ESTART: 0.41733 [0.00003] - E_Acpi Init Done
ESTART: 0.41735 [0.00001] - E_Backlight Init
ERR<49097>:e src/bin/e_backlight.c:544 _bl_sys_find() ACPI brightness sysctl 'hw.acpi.video.lcd0.brightness' not found, consider 'kldload acpi_video'
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
EOF

ESTART: 0.41767 [0.00032] - E_Backlight Init Done
ESTART: 0.41768 [0.00001] - E_Dpms Init
ESTART: 0.41774 [0.00006] - E_Dpms Init Done
ESTART: 0.41775 [0.00001] - E_Desklock Init
ESTART: 0.41777 [0.00003] - E_Desklock Init Done
ESTART: 0.41778 [0.00001] - Efreet Paths
ESTART: 0.41779 [0.00001] - Efreet Paths Done
ESTART: 0.41780 [0.00001] - E_Sys Init
ESTART: 0.41833 [0.00053] - E_Sys Init Done
ESTART: 0.41834 [0.00002] - E_Exec Init
ESTART: 0.41835 [0.00000] - E_Exec Init Done
ESTART: 0.41835 [0.00000] - E_Comp Freeze
ESTART: 0.41835 [0.00001] - E_Comp Freeze Done
ESTART: 0.41836 [0.00001] - E_Fm2 Init
ESTART: 0.41851 [0.00015] - E_Fm2 Init Done
ESTART: 0.41852 [0.00001] - E_Msg Init
ESTART: 0.41852 [0.00000] - E_Msg Init Done
ESTART: 0.41853 [0.00001] - E_Grabinput Init
ESTART: 0.41854 [0.00000] - E_Grabinput Init Done
ESTART: 0.41854 [0.00001] - E_Module Init
ESTART: 0.41913 [0.00059] - E_Module Init Done
ESTART: 0.41915 [0.00003] - E_Remember Init
ESTART: 0.41928 [0.00012] - E_Remember Init Done
ESTART: 0.41929 [0.00002] - E_Gadget Init
ESTART: 0.42056 [0.00127] - E_Gadget Init Done
ESTART: 0.42058 [0.00002] - E_Gadcon Init
ESTART: 0.42059 [0.00000] - E_Gadcon Init Done
ESTART: 0.42059 [0.00001] - E_Toolbar Init
ESTART: 0.42060 [0.00001] - E_Toolbar Init Done
ESTART: 0.42061 [0.00001] - E_Bg Init
ESTART: 0.42062 [0.00001] - E_Bg Init Done
ESTART: 0.42063 [0.00001] - E_Mouse Init
ESTART: 0.42074 [0.00011] - E_Mouse Init Done
ESTART: 0.42075 [0.00001] - E_Bindings Init
ESTART: 0.42090 [0.00015] - E_Bindings Init Done
ESTART: 0.42091 [0.00001] - E_Thumb Init
ESTART: 0.42092 [0.00000] - E_Thumb Init Done
ESTART: 0.42092 [0.00000] - E_Icon Init
ESTART: 0.42092 [0.00000] - E_Icon Init Done
ESTART: 0.42092 [0.00000] - E_Update Init
ESTART: 0.42094 [0.00002] - E_Update Init Done
ESTART: 0.42094 [0.00001] - E_Deskenv Init
ESTART: 0.42098 [0.00003] - E_Deskenv Init Done
ESTART: 0.42098 [0.00001] - E_Order Init
ESTART: 0.42100 [0.00002] - E_Order Init Done
ESTART: 0.42100 [0.00000] - E_Comp_Canvas Keys Grab
ESTART: 0.42121 [0.00021] - E_Comp_Canvas Keys Grab Done
ESTART: 0.42122 [0.00001] - Load Modules
ESTART: 0.42122 [0.00000] - Load Modules Done
ESTART: 0.42122 [0.00000] - Run Startup Apps
ESTART: 0.42126 [0.00004] - Run Startup Apps Done
ESTART: 0.42127 [0.00000] - E_Comp Thaw
ESTART: 0.42128 [0.00001] - E_Comp Thaw Done
ESTART: 0.42128 [0.00000] - E_Test Init
ESTART: 0.42128 [0.00000] - E_Test Done
ESTART: 0.42129 [0.00001] - Bryce Init
ESTART: 0.42140 [0.00010] - Bryce Init Done
ESTART: 0.42141 [0.00001] - E_Shelf Init
ESTART: 0.42141 [0.00000] - E_Shelf Init Done
ESTART: 0.42143 [0.00002] - MAIN LOOP AT LAST
ESTART: 0.42720 [0.00577] - SLEEP
RRR: CB screen change...
RRR: CB screen change...
RRR: CB crtc change...
RRR: CB screen change...
RRR: CB output change...
RRR: CB screen change...
RRR: CB crtc change...
RRR: CB screen change...
W: [(null)] caps.c: Normally all extra capabilities would be dropped now, but that's impossible because PulseAudio was built without capabilities support.
action halt 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
action reboot 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
action suspend 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
action hibernate 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
RRR: ... 1 0
RRR: reconfigure screens due to event...
RRR: ................. info get!
RRR: .... out eDP1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x804eb5ae0
RRR: 'eDP1' 0 1080 1920x1080
RRR: .... out HDMI1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x804e458c0
RRR: 'HDMI1' 0 0 1920x1080
RRR: .... out DP1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR: check fingerprint...
RRR: ... fingerprint says 0
RRR: changed = 0
--------------------------------------------------
RRR: out id=eDP1/00ffffffffffff0028890214010101011e1a0104a51c10780216c5a4544b9b260f5054000000d1c001010101010101010101010101011a3680a070381f4030203500159c10000018112480a070381f4030203500159c10000018000000fc004c414d3132354d303037440a20000000ff004b3647303333333336320a202000be:  connected=1
RRR: check lid for eDP1...
RRR: out id=HDMI1/00ffffffffffff004c2d6906010000002f130103801009780aee91a3544c99260f5054bdef80714f8100814081809500950fb300a940023a801871382d40582c4500a05a0000001e662150b051001b3040703600a05a0000001e000000fd00184b1a5117000a202020202020000000fc0053414d53554e470a20202020200127020327f14b901f0413051403122021222309070783010000e2000fe305030167030c001000b82d011d007251d01e206e285500a05a0000001e011d00bc52d01e20b8285540a05a0000001e011d8018711c1620582c2500a05a0000009e011d80d0721c1620102c2580a05a0000009e000000000000000000000000000000001d:  connected=1
RRR: check lid for HDMI1...
RRR: out id=DP1/:  connected=0
--------------------------------------------------
RRR: change = 0
RRR: ................. info get!
RRR: .... out eDP1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x804eb5ae0
RRR: 'eDP1' 0 1080 1920x1080
RRR: .... out HDMI1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x802c523a0
RRR: 'HDMI1' 0 0 1920x1080
RRR: .... out DP1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR:-------------------------------- 2
RRR: 'eDP1': 0 1080 1920x1080
RRR: 'HDMI1': 0 0 1920x1080
RRR: result max: 1920x2160
xinerama screen 0 1080 1920x1080
xinerama screen 0 0 1920x1080
xinerama setup............... 2 0x803214370
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ match screens 0x8037a9bf0[1] = 0 0 1920x1080 -- 1
@ matches existing zone 0x8025c08c0
   move resize 0 0 1920x1080 -> 0 0 1920x1080
@ match screens 0x804eb5ae0[0] = 0 1080 1920x1080 -- 0
@ matches existing zone 0x8025c4b40
   move resize 0 1080 1920x1080 -> 0 1080 1920x1080
(II) AIGLX: Suspending AIGLX clients for VT switch
^Cxinit: connection to X server lost

waiting for X server to shut down E: Begin Shutdown Procedure!
(II) Server terminated successfully (0). Closing log file.


t@0xCFMX4:~ # find /boot/ -name "*i915*"
/boot/modules/i915_skl_guc_ver6_1_bin.ko
/boot/modules/i915_glk_dmc_ver1_04_bin.ko
/boot/modules/i915_cnl_dmc_ver1_06_bin.ko
/boot/modules/i915_skl_dmc_ver1_26_bin.ko
/boot/modules/i915_kbl_dmc_ver1_04_bin.ko
/boot/modules/i915_bxt_huc_ver01_07_bin.ko
/boot/modules/i915_bxt_dmc_ver1_07_bin.ko
/boot/modules/i915kms.ko
/boot/modules/i915_skl_dmc_ver1_27_bin.ko
/boot/modules/i915_bxt_guc_ver8_7_bin.ko
/boot/modules/i915_kbl_huc_ver02_00_bin.ko
/boot/modules/i915_skl_huc_ver01_07_bin.ko
/boot/modules/i915_kbl_guc_ver9_14_bin.ko
/boot/modules/i915_kbl_dmc_ver1_01_bin.ko
/boot/kernel.old/i915kms.ko
/boot/kernel/i915kms.ko
/boot/kernel.12.release/i915kms.ko

root@0xCFMX4:~ # cat /etc/rc.conf|grep i915
kld_list="drm.ko i915kms.ko iwm7265Dfw.ko if_iwm.ko"

Clearly I was loading just i915kms.ko from /boot/kernel/i915kms.ko not the /boot/modules/i915kms.ko which I should use :-(
Comment 8 Tomasz "CeDeROM" CEDRO 2019-09-09 08:57:35 UTC
Also thank you for the hint with xf86-video-intel! I have removed the driver and, wow, my Xorg works on modeset :-) :-) :-)


#### xf86-video-intel removed, using modesetting

0xCFMX4% startx
xauth:  file /home/cd/.serverauth.11458 does not exist


X.Org X Server 1.18.4
Release Date: 2016-07-19
X Protocol Version 11, Revision 0
Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64
Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
Build Date: 22 August 2019  09:06:49AM

Current version of pixman: 0.34.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Sep  9 10:52:45 2019
(==) Using default built-in configuration (39 lines)
scfb trace: probe start
scfb trace: probe done
E - PID=16590, valgrind=0
ESTART: 0.00000 [0.00000] - Begin Startup
ESTART: 0.00007 [0.00007] - Signal Trap
ESTART: 0.00009 [0.00002] - Signal Trap Done
ESTART: 0.00014 [0.00006] - Eina Init
ESTART: 0.00063 [0.00049] - Eina Init Done
ESTART: 0.00065 [0.00002] - Determine Prefix
ESTART: 0.00071 [0.00006] - Determine Prefix Done
ESTART: 0.00072 [0.00001] - Environment Variables
ESTART: 0.00075 [0.00003] - Environment Variables Done
ESTART: 0.00075 [0.00000] - Parse Arguments
ESTART: 0.00076 [0.00001] - Parse Arguments Done
ESTART: 0.00076 [0.00000] - Eet Init
ESTART: 0.00078 [0.00002] - Eet Init Done
ESTART: 0.00079 [0.00000] - Ecore Init
ESTART: 0.00364 [0.00285] - Ecore Init Done
ESTART: 0.00366 [0.00002] - EFX Init
ESTART: 0.00366 [0.00000] - EFX Init Done
ESTART: 0.00366 [0.00000] - EIO Init
ESTART: 0.02050 [0.01684] - EIO Init Done
ESTART: 0.02051 [0.00001] - Ecore Event Handlers
ESTART: 0.02051 [0.00000] - Ecore Event Handlers Done
ESTART: 0.02052 [0.00000] - Ecore_File Init
ESTART: 0.02052 [0.00000] - Ecore_File Init Done
ESTART: 0.02052 [0.00000] - Ecore_Con Init
ESTART: 0.02053 [0.00000] - Ecore_Con Init Done
ESTART: 0.02053 [0.00000] - Ecore_Ipc Init
ESTART: 0.02053 [0.00000] - Ecore_Ipc Init Done
ESTART: 0.02070 [0.00016] - Ecore_Evas Init
ESTART: 0.02100 [0.00030] - Ecore_Evas Init Done
ESTART: 0.02100 [0.00001] - Elementary Init
ESTART: 0.03777 [0.01676] - Elementary Init Done
ESTART: 0.03778 [0.00001] - Emotion Init
ESTART: 0.03791 [0.00014] - Emotion Init Done
ESTART: 0.03792 [0.00001] - Ecore_Evas Engine Check
ESTART: 0.03792 [0.00000] - Ecore_Evas Engine Check Done
ESTART: 0.03793 [0.00000] - E Intl Init
ESTART: 0.03794 [0.00002] - E Intl Init Done
ESTART: 0.03794 [0.00000] - E_Alert Init
ESTART: 0.03795 [0.00000] - E_Alert Init Done
ESTART: 0.03795 [0.00000] - E Directories Init
ESTART: 0.03805 [0.00010] - E Directories Init Done
ESTART: 0.03805 [0.00000] - E_Filereg Init
ESTART: 0.03806 [0.00000] - E_Filereg Init Done
ESTART: 0.03806 [0.00000] - E_Config Init
ESTART: 0.03968 [0.00163] - E_Config Init Done
ESTART: 0.03969 [0.00001] - E_Env Init
ESTART: 0.03969 [0.00000] - E_Env Init Done
ESTART: 0.03970 [0.00001] - E Paths Init
ESTART: 0.03971 [0.00001] - E Paths Init Done
ESTART: 0.03972 [0.00000] - E_Ipc Init
ESTART: 0.04026 [0.00055] - E_Ipc Init Done
ESTART: 0.04027 [0.00001] - E_Font Init
ESTART: 0.04027 [0.00000] - E_Font Init Done
ESTART: 0.04028 [0.00000] - E_Font Apply
ESTART: 0.04028 [0.00000] - E_Font Apply Done
ESTART: 0.04028 [0.00000] - E_Theme Init
ESTART: 0.04030 [0.00001] - E_Theme Init Done
ESTART: 0.04030 [0.00000] - E_Moveresize Init
ESTART: 0.04030 [0.00001] - E_Moveresize Init Done
ESTART: 0.04031 [0.00000] - E_Msgbus Init
ESTART: 0.04098 [0.00067] - E_Msgbus Init Done
ESTART: 0.04098 [0.00001] - Efreet Init
ESTART: 0.04099 [0.00001] - Efreet Init Done
ESTART: 0.04100 [0.00001] - E_Intl Post Init
ESTART: 0.04459 [0.00359] - E_Intl Post Init Done
ESTART: 0.04459 [0.00001] - E_Configure Init
ESTART: 0.04466 [0.00006] - E_Configure Init Done
ESTART: 0.04466 [0.00001] - E_Actions Init
ESTART: 0.04489 [0.00022] - E_Actions Init Done
ESTART: 0.04492 [0.00003] - E_Powersave Init
ESTART: 0.04492 [0.00001] - E_Powersave Init Done
ESTART: 0.04493 [0.00000] - Screens Init
ESTART: 0.04493 [0.00000] -     screens: client
ESTART: 0.04493 [0.00001] - E_Screensaver Init
ESTART: 0.04494 [0.00000] -     screens: client volume
ESTART: 0.04494 [0.00000] -     screens: win
ESTART: 0.04495 [0.00001] - Compositor Init
RRR: ................. info get!
RRR: .... out eDP-1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x803392f20
RRR: 'eDP-1' 0 0 1920x1080
RRR: .... out HDMI-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x802c52440
RRR: 'HDMI-1' 1920 0 1920x1080
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR:-------------------------------- 2
RRR: 'eDP-1': 0 0 1920x1080
RRR: 'HDMI-1': 1920 0 1920x1080
RRR: result max: 3840x1080
RRR: loaded existing config
RRR: check lid for eDP-1...
RRR: check lid for HDMI-1...
RRR: check lid for eDP-1...
RRR: check lid for HDMI-1...
RRR: check lid for eDP-1...
RRR: check lid for HDMI-1...
RRR: check lid for eDP-1...
RRR: check lid for HDMI-1...
RRR: check lid for eDP-1...
RRR: check lid for HDMI-1...
--------------------------------------------------
RRR: out id=eDP-1/00ffffffffffff0028890214010101011e1a0104a51c10780216c5a4544b9b260f5054000000d1c001010101010101010101010101011a3680a070381f4030203500159c10000018112480a070381f4030203500159c10000018000000fc004c414d3132354d303037440a20000000ff004b3647303333333336320a202000be:  connected=1
RRR: check lid for eDP-1...
RRR: out id=HDMI-1/00ffffffffffff004c2d6906010000002f130103801009780aee91a3544c99260f5054bdef80714f8100814081809500950fb300a940023a801871382d40582c4500a05a0000001e662150b051001b3040703600a05a0000001e000000fd00184b1a5117000a202020202020000000fc0053414d53554e470a20202020200127020327f14b901f0413051403122021222309070783010000e2000fe305030167030c001000b82d011d007251d01e206e285500a05a0000001e011d00bc52d01e20b8285540a05a0000001e011d8018711c1620582c2500a05a0000009e011d80d0721c1620102c2580a05a0000009e000000000000000000000000000000001d:  connected=1
RRR: check lid for HDMI-1...
RRR: out id=DP-1/:  connected=0
--------------------------------------------------
RRR: re-get info before applying..
RRR: ................. info get!
RRR: .... out eDP-1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x803392fe0
RRR: 'eDP-1' 0 0 1920x1080
RRR: .... out HDMI-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x802c524e0
RRR: 'HDMI-1' 1920 0 1920x1080
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR:-------------------------------- 2
RRR: 'eDP-1': 0 0 1920x1080
RRR: 'HDMI-1': 1920 0 1920x1080
RRR: result max: 3840x1080
RRR: apply config...
RRR: apply 'eDP-1'...
RRR: check lid for eDP-1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 0
RRR: apply 'HDMI-1'...
RRR: check lid for HDMI-1...
RRR: connected =  1
RRR: ... enabled
RRR: ... priority = 0
RRR: apply 'DP-1'...
RRR: check lid for DP-1...
RRR: connected =  0
RRR: ... disabled
RRR: takeover config...
RRR: eval config...
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen config loop!
RRR: screen do 'HDMI-1'
RRR: screen do 'HDMI-1'
RRR: screen do 'HDMI-1'
RRR: screen do 'HDMI-1'
RRR: screen do 'HDMI-1'
RRR: screen do 'HDMI-1'
RRR: screen do 'HDMI-1'
RRR: screen config loop!
RRR: 'HDMI-1' is relative to 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen config loop!
RRR: to right relative
RRR: 'HDMI-1' is relative to 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen config loop!
RRR: to right relative
RRR: 'HDMI-1' is relative to 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen config loop!
RRR: to right relative
RRR: 'HDMI-1' is relative to 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen config loop!
RRR: to right relative
RRR: 'HDMI-1' is relative to 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen config loop!
RRR: to right relative
RRR: 'HDMI-1' is relative to 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen do 'eDP-1'
RRR: screen config loop!
RRR: to right relative
RRR: screen do 'DP-1'
RRR: screen do 'DP-1'
RRR: screen do 'DP-1'
RRR: screen do 'DP-1'
RRR: screen do 'DP-1'
RRR: screen do 'DP-1'
RRR: screen do 'DP-1'
RRR: screen config loop!
RRR:--------------------------------
RRR: s: 'eDP-1' @ 0 0 - 1920x1080
RRR: s: 'HDMI-1' @ 1920 0 - 1920x1080
RRR:--- 0 0 -> 3840 1080
RRR: really apply config...
RRR: cur size: 3840x1080
RRR: size range: 320x200 -> 8192x8192
RRR: cur size: 3840x1080
RRR: set vsize: 3840x1080
RRR: find output for 'eDP-1'
RRR:   enabled: 1
RRR:     crtc slot empty: 0
RRR:       assign slot out: 42
RRR: find output for 'HDMI-1'
RRR:   enabled: 1
RRR:     crtc slot empty: 1
RRR:       assign slot out: 43
RRR: find output for 'DP-1'
RRR:   enabled: 0
RRR: modes for 'eDP-1' are 0x803392fe0 [21]
RRR: crtc on: 0 = 'eDP-1'     @ 0 0    - 1920x1080 orient 1 mode 46 out 42
RRR: modes for 'HDMI-1' are 0x802c52580 [40]
RRR: crtc on: 1 = 'HDMI-1'     @ 1920 0    - 1920x1080 orient 1 mode 5b out 43
RRR: crtc off: 2
RRR: set vsize: 3840x1080
RRR: cur size: 3840x1080
RRR: done config...
xinerama screen 0 0 1920x1080
xinerama screen 1920 0 1920x1080
xinerama setup............... 2 0x0
ESTART: 0.15262 [0.10767] - E_Dnd Init
ESTART: 0.15276 [0.00014] - E_Dnd Init Done
ESTART: 0.15277 [0.00001] - Screens Init Done
ESTART: 0.15277 [0.00000] - E_Pointer Init
ESTART: 0.15278 [0.00001] - E_Pointer Init Done
ESTART: 0.15278 [0.00001] - E_Scale Init
ESTART: 0.15779 [0.00500] - E_Scale Init Done
ESTART: 0.15780 [0.00001] - E_Splash Init
ESTART: 0.15780 [0.00000] - E_Splash Init Done
ESTART: 0.17497 [0.01717] - Test File Format Support
ESTART: 0.18849 [0.01352] - Test File Format Support Done
ESTART: 0.18851 [0.00003] - E_Acpi Init
ESTART: 0.18854 [0.00003] - E_Acpi Init Done
ESTART: 0.18855 [0.00001] - E_Backlight Init
ERR<18521>:e src/bin/e_backlight.c:544 _bl_sys_find() ACPI brightness sysctl 'hw.acpi.video.lcd0.brightness' not found, consider 'kldload acpi_video'
## Copy & Paste the below (until EOF) into a terminal, then hit Enter

eina_btlog << EOF
EOF

ESTART: 0.18890 [0.00034] - E_Backlight Init Done
ESTART: 0.18891 [0.00002] - E_Dpms Init
ESTART: 0.18898 [0.00006] - E_Dpms Init Done
ESTART: 0.18899 [0.00001] - E_Desklock Init
ESTART: 0.18902 [0.00003] - E_Desklock Init Done
ESTART: 0.18902 [0.00001] - Efreet Paths
ESTART: 0.18903 [0.00001] - Efreet Paths Done
ESTART: 0.18904 [0.00001] - E_Sys Init
ESTART: 0.18961 [0.00058] - E_Sys Init Done
ESTART: 0.18964 [0.00002] - E_Exec Init
ESTART: 0.18964 [0.00001] - E_Exec Init Done
ESTART: 0.18964 [0.00000] - E_Comp Freeze
ESTART: 0.18965 [0.00001] - E_Comp Freeze Done
ESTART: 0.18966 [0.00001] - E_Fm2 Init
ESTART: 0.18984 [0.00018] - E_Fm2 Init Done
ESTART: 0.18986 [0.00002] - E_Msg Init
ESTART: 0.18986 [0.00000] - E_Msg Init Done
ESTART: 0.18988 [0.00001] - E_Grabinput Init
ESTART: 0.18988 [0.00001] - E_Grabinput Init Done
ESTART: 0.18989 [0.00001] - E_Module Init
ESTART: 0.19052 [0.00063] - E_Module Init Done
ESTART: 0.19054 [0.00003] - E_Remember Init
ESTART: 0.19064 [0.00010] - E_Remember Init Done
ESTART: 0.19066 [0.00002] - E_Gadget Init
ESTART: 0.19177 [0.00111] - E_Gadget Init Done
ESTART: 0.19179 [0.00002] - E_Gadcon Init
ESTART: 0.19179 [0.00000] - E_Gadcon Init Done
ESTART: 0.19180 [0.00001] - E_Toolbar Init
ESTART: 0.19180 [0.00001] - E_Toolbar Init Done
ESTART: 0.19181 [0.00001] - E_Bg Init
ESTART: 0.19182 [0.00001] - E_Bg Init Done
ESTART: 0.19183 [0.00001] - E_Mouse Init
ESTART: 0.19195 [0.00012] - E_Mouse Init Done
ESTART: 0.19197 [0.00002] - E_Bindings Init
ESTART: 0.19214 [0.00017] - E_Bindings Init Done
ESTART: 0.19215 [0.00001] - E_Thumb Init
ESTART: 0.19215 [0.00000] - E_Thumb Init Done
ESTART: 0.19215 [0.00000] - E_Icon Init
ESTART: 0.19216 [0.00000] - E_Icon Init Done
ESTART: 0.19216 [0.00000] - E_Update Init
ESTART: 0.19217 [0.00002] - E_Update Init Done
ESTART: 0.19218 [0.00001] - E_Deskenv Init
ESTART: 0.19221 [0.00003] - E_Deskenv Init Done
ESTART: 0.19222 [0.00001] - E_Order Init
ESTART: 0.19223 [0.00002] - E_Order Init Done
ESTART: 0.19224 [0.00000] - E_Comp_Canvas Keys Grab
ESTART: 0.19246 [0.00022] - E_Comp_Canvas Keys Grab Done
ESTART: 0.19247 [0.00001] - Load Modules
ESTART: 0.19247 [0.00000] - Load Modules Done
ESTART: 0.19247 [0.00000] - Run Startup Apps
ESTART: 0.19251 [0.00004] - Run Startup Apps Done
ESTART: 0.19252 [0.00000] - E_Comp Thaw
ESTART: 0.19253 [0.00002] - E_Comp Thaw Done
ESTART: 0.19253 [0.00000] - E_Test Init
ESTART: 0.19254 [0.00000] - E_Test Done
ESTART: 0.19254 [0.00001] - Bryce Init
ESTART: 0.19266 [0.00012] - Bryce Init Done
ESTART: 0.19267 [0.00001] - E_Shelf Init
ESTART: 0.19267 [0.00000] - E_Shelf Init Done
ESTART: 0.19269 [0.00002] - MAIN LOOP AT LAST
ESTART: 0.19839 [0.00570] - SLEEP
RRR: CB screen change...
RRR: CB output change...
W: [(null)] caps.c: Normally all extra capabilities would be dropped now, but that's impossible because PulseAudio was built without capabilities support.
action halt 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
action reboot 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
action suspend 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
action hibernate 3
EINA ERROR: 'Invalid argument' on spin_destroy 0x8002be310
RRR: ... 1 0
RRR: reconfigure screens due to event...
RRR: ................. info get!
RRR: .... out eDP-1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x804fb1fa0
RRR: 'eDP-1' 0 0 1920x1080
RRR: .... out HDMI-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x80730bd60
RRR: 'HDMI-1' 1920 0 1920x1080
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR: check fingerprint...
RRR: ... fingerprint says 0
RRR: changed = 0
--------------------------------------------------
RRR: out id=eDP-1/00ffffffffffff0028890214010101011e1a0104a51c10780216c5a4544b9b260f5054000000d1c001010101010101010101010101011a3680a070381f4030203500159c10000018112480a070381f4030203500159c10000018000000fc004c414d3132354d303037440a20000000ff004b3647303333333336320a202000be:  connected=1
RRR: check lid for eDP-1...
RRR: out id=HDMI-1/00ffffffffffff004c2d6906010000002f130103801009780aee91a3544c99260f5054bdef80714f8100814081809500950fb300a940023a801871382d40582c4500a05a0000001e662150b051001b3040703600a05a0000001e000000fd00184b1a5117000a202020202020000000fc0053414d53554e470a20202020200127020327f14b901f0413051403122021222309070783010000e2000fe305030167030c001000b82d011d007251d01e206e285500a05a0000001e011d00bc52d01e20b8285540a05a0000001e011d8018711c1620582c2500a05a0000009e011d80d0721c1620102c2580a05a0000009e000000000000000000000000000000001d:  connected=1
RRR: check lid for HDMI-1...
RRR: out id=DP-1/:  connected=0
--------------------------------------------------
RRR: change = 0
RRR: ................. info get!
RRR: .... out eDP-1
RRR: ...... lid_closed = 0 (1 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x804fb1fa0
RRR: 'eDP-1' 0 0 1920x1080
RRR: .... out HDMI-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 1
RRR: ...... modes 0x802c523a0
RRR: 'HDMI-1' 1920 0 1920x1080
RRR: .... out DP-1
RRR: ...... lid_closed = 0 (0 && 0)
RRR: ...... connected 0
RRR: ...... modes 0x0
RRR:-------------------------------- 2
RRR: 'eDP-1': 0 0 1920x1080
RRR: 'HDMI-1': 1920 0 1920x1080
RRR: result max: 3840x1080
xinerama screen 0 0 1920x1080
xinerama screen 1920 0 1920x1080
xinerama setup............... 2 0x8033736e0
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ match screens 0x804e41ff0[0] = 0 0 1920x1080 -- 0
@ matches existing zone 0x8025c08c0
   move resize 0 0 1920x1080 -> 0 0 1920x1080
@ match screens 0x804e42020[1] = 1920 0 1920x1080 -- 1
@ matches existing zone 0x8025c4980
   move resize 1920 0 1920x1080 -> 1920 0 1920x1080
E: Begin Shutdown Procedure!
xinit: connection to X server lost

waiting for X server to shut down (II) Server terminated successfully (0). Closing log file.



[  2182.714] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[  2182.714] X Protocol Version 11, Revision 0
[  2182.715] Build Operating System: FreeBSD 12.0-RELEASE-p10 amd64 
[  2182.715] Current Operating System: FreeBSD 0xCFMX4 12.0-RELEASE-p10 FreeBSD 12.0-RELEASE-p10 GENERIC amd64
[  2182.715] Build Date: 22 August 2019  09:06:49AM
[  2182.715]  
[  2182.715] Current version of pixman: 0.34.0
[  2182.715] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[  2182.715] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  2182.715] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Sep  9 10:52:45 2019
[  2182.715] (II) Loader magic: 0x421020
[  2182.715] (II) Module ABI versions:
[  2182.715] 	X.Org ANSI C Emulation: 0.4
[  2182.715] 	X.Org Video Driver: 20.0
[  2182.715] 	X.Org XInput driver : 22.1
[  2182.715] 	X.Org Server Extension : 9.0
[  2182.715] (--) PCI:*(0:0:2:0) 8086:1616:10f7:8338 rev 9, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/65536
[  2182.716] (==) Using default built-in configuration (39 lines)
[  2182.716] (==) --- Start of built-in configuration ---
[  2182.716] 	Section "Device"
[  2182.716] 		Identifier	"Builtin Default intel Device 0"
[  2182.716] 		Driver	"intel"
[  2182.716] 	EndSection
[  2182.716] 	Section "Screen"
[  2182.716] 		Identifier	"Builtin Default intel Screen 0"
[  2182.716] 		Device	"Builtin Default intel Device 0"
[  2182.716] 	EndSection
[  2182.716] 	Section "Device"
[  2182.716] 		Identifier	"Builtin Default modesetting Device 0"
[  2182.716] 		Driver	"modesetting"
[  2182.716] 	EndSection
[  2182.716] 	Section "Screen"
[  2182.716] 		Identifier	"Builtin Default modesetting Screen 0"
[  2182.716] 		Device	"Builtin Default modesetting Device 0"
[  2182.716] 	EndSection
[  2182.716] 	Section "Device"
[  2182.716] 		Identifier	"Builtin Default scfb Device 0"
[  2182.716] 		Driver	"scfb"
[  2182.716] 	EndSection
[  2182.716] 	Section "Screen"
[  2182.716] 		Identifier	"Builtin Default scfb Screen 0"
[  2182.716] 		Device	"Builtin Default scfb Device 0"
[  2182.716] 	EndSection
[  2182.716] 	Section "Device"
[  2182.716] 		Identifier	"Builtin Default vesa Device 0"
[  2182.716] 		Driver	"vesa"
[  2182.716] 	EndSection
[  2182.716] 	Section "Screen"
[  2182.716] 		Identifier	"Builtin Default vesa Screen 0"
[  2182.716] 		Device	"Builtin Default vesa Device 0"
[  2182.716] 	EndSection
[  2182.716] 	Section "ServerLayout"
[  2182.716] 		Identifier	"Builtin Default Layout"
[  2182.716] 		Screen	"Builtin Default intel Screen 0"
[  2182.716] 		Screen	"Builtin Default modesetting Screen 0"
[  2182.716] 		Screen	"Builtin Default scfb Screen 0"
[  2182.716] 		Screen	"Builtin Default vesa Screen 0"
[  2182.716] 	EndSection
[  2182.716] (==) --- End of built-in configuration ---
[  2182.716] (==) ServerLayout "Builtin Default Layout"
[  2182.716] (**) |-->Screen "Builtin Default intel Screen 0" (0)
[  2182.716] (**) |   |-->Monitor "<default monitor>"
[  2182.716] (**) |   |-->Device "Builtin Default intel Device 0"
[  2182.716] (==) No monitor specified for screen "Builtin Default intel Screen 0".
	Using a default monitor configuration.
[  2182.717] (**) |-->Screen "Builtin Default modesetting Screen 0" (1)
[  2182.717] (**) |   |-->Monitor "<default monitor>"
[  2182.717] (**) |   |-->Device "Builtin Default modesetting Device 0"
[  2182.717] (==) No monitor specified for screen "Builtin Default modesetting Screen 0".
	Using a default monitor configuration.
[  2182.717] (**) |-->Screen "Builtin Default scfb Screen 0" (2)
[  2182.717] (**) |   |-->Monitor "<default monitor>"
[  2182.717] (**) |   |-->Device "Builtin Default scfb Device 0"
[  2182.717] (==) No monitor specified for screen "Builtin Default scfb Screen 0".
	Using a default monitor configuration.
[  2182.717] (**) |-->Screen "Builtin Default vesa Screen 0" (3)
[  2182.717] (**) |   |-->Monitor "<default monitor>"
[  2182.717] (**) |   |-->Device "Builtin Default vesa Device 0"
[  2182.717] (==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
[  2182.717] (==) Automatically adding devices
[  2182.717] (==) Automatically enabling devices
[  2182.717] (==) Not automatically adding GPU devices
[  2182.717] (==) Max clients allowed: 256, resource mask: 0x1fffff
[  2182.717] (==) FontPath set to:
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/
[  2182.717] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[  2182.717] (II) The server relies on devd to provide the list of input devices.
	If no devices become available, reconfigure devd or disable AutoAddDevices.
[  2182.717] (II) LoadModule: "glx"
[  2182.718] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[  2182.719] (II) Module glx: vendor="X.Org Foundation"
[  2182.719] 	compiled for 1.18.4, module version = 1.0.0
[  2182.719] 	ABI class: X.Org Server Extension, version 9.0
[  2182.719] (==) AIGLX enabled
[  2182.719] (II) LoadModule: "intel"
[  2182.719] (WW) Warning, couldn't open module intel
[  2182.719] (II) UnloadModule: "intel"
[  2182.720] (II) Unloading intel
[  2182.720] (EE) Failed to load module "intel" (module does not exist, 0)
[  2182.720] (II) LoadModule: "modesetting"
[  2182.720] (II) Loading /usr/local/lib/xorg/modules/drivers/modesetting_drv.so
[  2182.720] (II) Module modesetting: vendor="X.Org Foundation"
[  2182.720] 	compiled for 1.18.4, module version = 1.18.4
[  2182.720] 	Module class: X.Org Video Driver
[  2182.720] 	ABI class: X.Org Video Driver, version 20.0
[  2182.720] (II) LoadModule: "scfb"
[  2182.720] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[  2182.720] (II) Module scfb: vendor="X.Org Foundation"
[  2182.720] 	compiled for 1.18.4, module version = 0.0.4
[  2182.720] 	ABI class: X.Org Video Driver, version 20.0
[  2182.720] (II) LoadModule: "vesa"
[  2182.721] (II) Loading /usr/local/lib/xorg/modules/drivers/vesa_drv.so
[  2182.721] (II) Module vesa: vendor="X.Org Foundation"
[  2182.721] 	compiled for 1.18.4, module version = 2.4.0
[  2182.721] 	Module class: X.Org Video Driver
[  2182.721] 	ABI class: X.Org Video Driver, version 20.0
[  2182.721] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[  2182.721] (II) scfb: driver for wsdisplay framebuffer: scfb
[  2182.721] (II) VESA: driver for VESA chipsets: vesa
[  2182.721] (--) Using syscons driver with X support (version 2.0)
[  2182.721] (--) using VT number 9

[  2182.748] (**) modeset(0): claimed PCI slot 0@0:2:0
[  2182.748] (II) modeset(0): using default device
[  2182.748] (WW) Falling back to old probe method for scfb
[  2182.748] scfb trace: probe start
[  2182.748] scfb trace: probe done
[  2182.748] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[  2182.774] (II) modeset(0): Creating default Display subsection in Screen section
	"Builtin Default modesetting Screen 0" for depth/fbbpp 24/32
[  2182.774] (==) modeset(0): Depth 24, (==) framebuffer bpp 32
[  2182.774] (==) modeset(0): RGB weight 888
[  2182.774] (==) modeset(0): Default visual is TrueColor
[  2182.774] (II) Loading sub module "glamoregl"
[  2182.774] (II) LoadModule: "glamoregl"
[  2182.775] (II) Loading /usr/local/lib/xorg/modules/libglamoregl.so
[  2182.784] (II) Module glamoregl: vendor="X.Org Foundation"
[  2182.784] 	compiled for 1.18.4, module version = 1.0.0
[  2182.785] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  2182.785] (II) glamor: OpenGL accelerated X.org driver based.
[  2182.801] (II) glamor: EGL version 1.4:
[  2182.803] (II) modeset(0): glamor initialized
[  2182.806] (II) modeset(0): Output eDP-1 has no monitor section
[  2182.835] (II) modeset(0): Output HDMI-1 has no monitor section
[  2182.835] (II) modeset(0): Output DP-1 has no monitor section
[  2182.838] (II) modeset(0): EDID for output eDP-1
[  2182.838] (II) modeset(0): Manufacturer: JDI  Model: 1402  Serial#: 16843009
[  2182.838] (II) modeset(0): Year: 2016  Week: 30
[  2182.838] (II) modeset(0): EDID Version: 1.4
[  2182.838] (II) modeset(0): Digital Display Input
[  2182.838] (II) modeset(0): 8 bits per channel
[  2182.838] (II) modeset(0): Digital interface is DisplayPort
[  2182.838] (II) modeset(0): Max Image Size [cm]: horiz.: 28  vert.: 16
[  2182.838] (II) modeset(0): Gamma: 2.20
[  2182.838] (II) modeset(0): No DPMS capabilities specified
[  2182.838] (II) modeset(0): Supported color encodings: RGB 4:4:4 
[  2182.838] (II) modeset(0): First detailed timing is preferred mode
[  2182.838] (II) modeset(0): Preferred mode is native pixel format and refresh rate
[  2182.838] (II) modeset(0): redX: 0.641 redY: 0.329   greenX: 0.294 greenY: 0.607
[  2182.838] (II) modeset(0): blueX: 0.151 blueY: 0.059   whiteX: 0.313 whiteY: 0.329
[  2182.838] (II) modeset(0): Manufacturer's mask: 0
[  2182.838] (II) modeset(0): Supported standard timings:
[  2182.838] (II) modeset(0): #0: hsize: 1920  vsize 1080  refresh: 60  vid: 49361
[  2182.838] (II) modeset(0): Supported detailed timing:
[  2182.838] (II) modeset(0): clock: 138.5 MHz   Image Size:  277 x 156 mm
[  2182.838] (II) modeset(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
[  2182.838] (II) modeset(0): v_active: 1080  v_sync: 1083  v_sync_end 1088 v_blanking: 1111 v_border: 0
[  2182.839] (II) modeset(0): Supported detailed timing:
[  2182.839] (II) modeset(0): clock: 92.3 MHz   Image Size:  277 x 156 mm
[  2182.839] (II) modeset(0): h_active: 1920  h_sync: 1968  h_sync_end 2000 h_blank_end 2080 h_border: 0
[  2182.839] (II) modeset(0): v_active: 1080  v_sync: 1083  v_sync_end 1088 v_blanking: 1111 v_border: 0
[  2182.839] (II) modeset(0): Monitor name: LAM125M007D
[  2182.839] (II) modeset(0): Serial No: K6G0333362
[  2182.839] (II) modeset(0): EDID (in hex):
[  2182.839] (II) modeset(0): 	00ffffffffffff002889021401010101
[  2182.839] (II) modeset(0): 	1e1a0104a51c10780216c5a4544b9b26
[  2182.839] (II) modeset(0): 	0f5054000000d1c00101010101010101
[  2182.839] (II) modeset(0): 	0101010101011a3680a070381f403020
[  2182.839] (II) modeset(0): 	3500159c10000018112480a070381f40
[  2182.839] (II) modeset(0): 	30203500159c10000018000000fc004c
[  2182.839] (II) modeset(0): 	414d3132354d303037440a20000000ff
[  2182.839] (II) modeset(0): 	004b3647303333333336320a202000be
[  2182.839] (II) modeset(0): Printing probed modes for output eDP-1
[  2182.839] (II) modeset(0): Modeline "1920x1080"x59.9  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[  2182.839] (II) modeset(0): Modeline "1920x1080"x40.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[  2182.839] (II) modeset(0): Modeline "1400x1050"x60.0  122.00  1400 1488 1640 1880  1050 1052 1064 1082 +hsync +vsync (64.9 kHz d)
[  2182.839] (II) modeset(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz d)
[  2182.839] (II) modeset(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz d)
[  2182.839] (II) modeset(0): Modeline "1024x768"x120.1  133.47  1024 1100 1212 1400  768 768 770 794 doublescan -hsync +vsync (95.3 kHz d)
[  2182.839] (II) modeset(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz d)
[  2182.839] (II) modeset(0): Modeline "960x720"x120.0  117.00  960 1024 1128 1300  720 720 722 750 doublescan -hsync +vsync (90.0 kHz d)
[  2182.839] (II) modeset(0): Modeline "928x696"x120.1  109.15  928 976 1088 1264  696 696 698 719 doublescan -hsync +vsync (86.4 kHz d)
[  2182.839] (II) modeset(0): Modeline "896x672"x120.0  102.40  896 960 1060 1224  672 672 674 697 doublescan -hsync +vsync (83.7 kHz d)
[  2182.839] (II) modeset(0): Modeline "800x600"x120.0   81.00  800 832 928 1080  600 600 602 625 doublescan +hsync +vsync (75.0 kHz d)
[  2182.839] (II) modeset(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz d)
[  2182.839] (II) modeset(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz d)
[  2182.839] (II) modeset(0): Modeline "700x525"x120.0   61.00  700 744 820 940  525 526 532 541 doublescan +hsync +vsync (64.9 kHz d)
[  2182.839] (II) modeset(0): Modeline "640x512"x120.0   54.00  640 664 720 844  512 512 514 533 doublescan +hsync +vsync (64.0 kHz d)
[  2182.839] (II) modeset(0): Modeline "640x480"x120.0   54.00  640 688 744 900  480 480 482 500 doublescan +hsync +vsync (60.0 kHz d)
[  2182.839] (II) modeset(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
[  2182.839] (II) modeset(0): Modeline "512x384"x120.0   32.50  512 524 592 672  384 385 388 403 doublescan -hsync -vsync (48.4 kHz d)
[  2182.839] (II) modeset(0): Modeline "400x300"x120.6   20.00  400 420 484 528  300 300 302 314 doublescan +hsync +vsync (37.9 kHz d)
[  2182.839] (II) modeset(0): Modeline "400x300"x112.7   18.00  400 412 448 512  300 300 301 312 doublescan +hsync +vsync (35.2 kHz d)
[  2182.839] (II) modeset(0): Modeline "320x240"x120.1   12.59  320 328 376 400  240 245 246 262 doublescan -hsync -vsync (31.5 kHz d)
[  2182.869] (II) Quirked EDID physical size to 0x0 cm
[  2182.869] (II) modeset(0): EDID for output HDMI-1
[  2182.869] (II) modeset(0): Manufacturer: SAM  Model: 669  Serial#: 1
[  2182.869] (II) modeset(0): Year: 2009  Week: 47
[  2182.869] (II) modeset(0): EDID Version: 1.3
[  2182.869] (II) modeset(0): Digital Display Input
[  2182.869] (II) modeset(0): Indeterminate output size
[  2182.869] (II) modeset(0): Gamma: 2.20
[  2182.869] (II) modeset(0): No DPMS capabilities specified
[  2182.869] (II) modeset(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[  2182.869] (II) modeset(0): First detailed timing is preferred mode
[  2182.869] (II) modeset(0): redX: 0.640 redY: 0.330   greenX: 0.300 greenY: 0.600
[  2182.869] (II) modeset(0): blueX: 0.150 blueY: 0.060   whiteX: 0.312 whiteY: 0.329
[  2182.869] (II) modeset(0): Supported established timings:
[  2182.869] (II) modeset(0): 720x400@70Hz
[  2182.869] (II) modeset(0): 640x480@60Hz
[  2182.869] (II) modeset(0): 640x480@67Hz
[  2182.869] (II) modeset(0): 640x480@72Hz
[  2182.869] (II) modeset(0): 640x480@75Hz
[  2182.869] (II) modeset(0): 800x600@60Hz
[  2182.869] (II) modeset(0): 800x600@72Hz
[  2182.869] (II) modeset(0): 800x600@75Hz
[  2182.869] (II) modeset(0): 832x624@75Hz
[  2182.869] (II) modeset(0): 1024x768@60Hz
[  2182.869] (II) modeset(0): 1024x768@70Hz
[  2182.869] (II) modeset(0): 1024x768@75Hz
[  2182.869] (II) modeset(0): 1280x1024@75Hz
[  2182.869] (II) modeset(0): 1152x864@75Hz
[  2182.869] (II) modeset(0): Manufacturer's mask: 0
[  2182.869] (II) modeset(0): Supported standard timings:
[  2182.869] (II) modeset(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
[  2182.869] (II) modeset(0): #1: hsize: 1280  vsize 800  refresh: 60  vid: 129
[  2182.869] (II) modeset(0): #2: hsize: 1280  vsize 960  refresh: 60  vid: 16513
[  2182.869] (II) modeset(0): #3: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
[  2182.869] (II) modeset(0): #4: hsize: 1440  vsize 900  refresh: 60  vid: 149
[  2182.870] (II) modeset(0): #5: hsize: 1440  vsize 900  refresh: 75  vid: 3989
[  2182.870] (II) modeset(0): #6: hsize: 1680  vsize 1050  refresh: 60  vid: 179
[  2182.870] (II) modeset(0): #7: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
[  2182.870] (II) modeset(0): Supported detailed timing:
[  2182.870] (II) modeset(0): clock: 148.5 MHz   Image Size:  160 x 90 mm
[  2182.870] (II) modeset(0): h_active: 1920  h_sync: 2008  h_sync_end 2052 h_blank_end 2200 h_border: 0
[  2182.870] (II) modeset(0): v_active: 1080  v_sync: 1084  v_sync_end 1089 v_blanking: 1125 v_border: 0
[  2182.870] (II) modeset(0): Supported detailed timing:
[  2182.870] (II) modeset(0): clock: 85.5 MHz   Image Size:  160 x 90 mm
[  2182.870] (II) modeset(0): h_active: 1360  h_sync: 1424  h_sync_end 1536 h_blank_end 1792 h_border: 0
[  2182.870] (II) modeset(0): v_active: 768  v_sync: 771  v_sync_end 777 v_blanking: 795 v_border: 0
[  2182.870] (II) modeset(0): Ranges: V min: 24 V max: 75 Hz, H min: 26 H max: 81 kHz, PixClock max 235 MHz
[  2182.870] (II) modeset(0): Monitor name: SAMSUNG
[  2182.870] (II) modeset(0): Supported detailed timing:
[  2182.870] (II) modeset(0): clock: 74.2 MHz   Image Size:  160 x 90 mm
[  2182.870] (II) modeset(0): h_active: 1280  h_sync: 1390  h_sync_end 1430 h_blank_end 1650 h_border: 0
[  2182.870] (II) modeset(0): v_active: 720  v_sync: 725  v_sync_end 730 v_blanking: 750 v_border: 0
[  2182.870] (II) modeset(0): Supported detailed timing:
[  2182.870] (II) modeset(0): clock: 74.2 MHz   Image Size:  160 x 90 mm
[  2182.870] (II) modeset(0): h_active: 1280  h_sync: 1720  h_sync_end 1760 h_blank_end 1980 h_border: 0
[  2182.870] (II) modeset(0): v_active: 720  v_sync: 725  v_sync_end 730 v_blanking: 750 v_border: 0
[  2182.870] (II) modeset(0): Supported detailed timing:
[  2182.870] (II) modeset(0): clock: 74.2 MHz   Image Size:  160 x 90 mm
[  2182.870] (II) modeset(0): h_active: 1920  h_sync: 2008  h_sync_end 2052 h_blank_end 2200 h_border: 0
[  2182.870] (II) modeset(0): v_active: 540  v_sync: 542  v_sync_end 547 v_blanking: 562 v_border: 0
[  2182.870] (II) modeset(0): Supported detailed timing:
[  2182.870] (II) modeset(0): clock: 74.2 MHz   Image Size:  160 x 90 mm
[  2182.870] (II) modeset(0): h_active: 1920  h_sync: 2448  h_sync_end 2492 h_blank_end 2640 h_border: 0
[  2182.870] (II) modeset(0): v_active: 540  v_sync: 542  v_sync_end 547 v_blanking: 562 v_border: 0
[  2182.870] (II) modeset(0): Number of EDID sections to follow: 1
[  2182.870] (II) modeset(0): EDID (in hex):
[  2182.870] (II) modeset(0): 	00ffffffffffff004c2d690601000000
[  2182.870] (II) modeset(0): 	2f130103801009780aee91a3544c9926
[  2182.870] (II) modeset(0): 	0f5054bdef80714f8100814081809500
[  2182.870] (II) modeset(0): 	950fb300a940023a801871382d40582c
[  2182.870] (II) modeset(0): 	4500a05a0000001e662150b051001b30
[  2182.870] (II) modeset(0): 	40703600a05a0000001e000000fd0018
[  2182.870] (II) modeset(0): 	4b1a5117000a202020202020000000fc
[  2182.870] (II) modeset(0): 	0053414d53554e470a20202020200127
[  2182.870] (II) modeset(0): 	020327f14b901f041305140312202122
[  2182.870] (II) modeset(0): 	2309070783010000e2000fe305030167
[  2182.870] (II) modeset(0): 	030c001000b82d011d007251d01e206e
[  2182.870] (II) modeset(0): 	285500a05a0000001e011d00bc52d01e
[  2182.870] (II) modeset(0): 	20b8285540a05a0000001e011d801871
[  2182.871] (II) modeset(0): 	1c1620582c2500a05a0000009e011d80
[  2182.871] (II) modeset(0): 	d0721c1620102c2580a05a0000009e00
[  2182.871] (II) modeset(0): 	0000000000000000000000000000001d
[  2182.871] (--) modeset(0): HDMI max TMDS frequency 225000KHz
[  2182.871] (II) modeset(0): Printing probed modes for output HDMI-1
[  2182.871] (II) modeset(0): Modeline "1920x1080"x60.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz eP)
[  2182.871] (II) modeset(0): Modeline "1920x1080"x50.0  148.50  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (56.2 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080"x59.9  148.35  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.4 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080i"x60.0   74.25  1920 2008 2052 2200  1080 1084 1094 1125 interlace +hsync +vsync (33.8 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080i"x50.0   74.25  1920 2448 2492 2640  1080 1084 1094 1125 interlace +hsync +vsync (28.1 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080"x30.0   74.25  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (33.8 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080"x25.0   74.25  1920 2448 2492 2640  1080 1084 1089 1125 +hsync +vsync (28.1 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080"x24.0   74.25  1920 2558 2602 2750  1080 1084 1089 1125 +hsync +vsync (27.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080i"x59.9   74.18  1920 2008 2052 2200  1080 1084 1094 1125 interlace +hsync +vsync (33.7 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080"x30.0   74.18  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (33.7 kHz e)
[  2182.871] (II) modeset(0): Modeline "1920x1080"x24.0   74.18  1920 2558 2602 2750  1080 1084 1089 1125 +hsync +vsync (27.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1600x1200"x60.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[  2182.871] (II) modeset(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1440x900"x75.0  136.75  1440 1536 1688 1936  900 903 909 942 -hsync +vsync (70.6 kHz e)
[  2182.871] (II) modeset(0): Modeline "1440x900"x59.9   88.75  1440 1488 1520 1600  900 903 909 926 +hsync -vsync (55.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "1280x960"x60.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1360x768"x60.0   85.50  1360 1424 1536 1792  768 771 777 795 +hsync +vsync (47.7 kHz e)
[  2182.871] (II) modeset(0): Modeline "1280x800"x59.9   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
[  2182.871] (II) modeset(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "1280x720"x60.0   74.25  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1280x720"x50.0   74.25  1280 1720 1760 1980  720 725 730 750 +hsync +vsync (37.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "1280x720"x59.9   74.18  1280 1390 1430 1650  720 725 730 750 +hsync +vsync (45.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "1024x768"x70.1   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[  2182.871] (II) modeset(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[  2182.871] (II) modeset(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[  2182.871] (II) modeset(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[  2182.871] (II) modeset(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[  2182.871] (II) modeset(0): Modeline "720x576"x50.0   27.00  720 732 796 864  576 581 586 625 -hsync -vsync (31.2 kHz e)
[  2182.871] (II) modeset(0): Modeline "720x480"x60.0   27.03  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "720x480"x59.9   27.00  720 736 798 858  480 489 495 525 -hsync -vsync (31.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[  2182.871] (II) modeset(0): Modeline "640x480"x66.7   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[  2182.871] (II) modeset(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[  2182.871] (II) modeset(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[  2182.872] (II) modeset(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[  2182.872] (II) modeset(0): EDID for output DP-1
[  2182.872] (II) modeset(0): Output eDP-1 connected
[  2182.872] (II) modeset(0): Output HDMI-1 connected
[  2182.872] (II) modeset(0): Output DP-1 disconnected
[  2182.872] (II) modeset(0): Using spanning desktop for initial modes
[  2182.872] (II) modeset(0): Output eDP-1 using initial mode 1920x1080 +0+0
[  2182.872] (II) modeset(0): Output HDMI-1 using initial mode 1920x1080 +1920+0
[  2182.872] (II) modeset(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[  2182.872] (==) modeset(0): DPI set to (96, 96)
[  2182.872] (II) Loading sub module "fb"
[  2182.872] (II) LoadModule: "fb"
[  2182.872] (II) Loading /usr/local/lib/xorg/modules/libfb.so
[  2182.872] (II) Module fb: vendor="X.Org Foundation"
[  2182.872] 	compiled for 1.18.4, module version = 1.0.0
[  2182.872] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  2182.873] (II) UnloadModule: "scfb"
[  2182.873] (II) Unloading scfb
[  2182.873] (II) UnloadModule: "vesa"
[  2182.873] (II) Unloading vesa
[  2182.873] (==) Depth 24 pixmap format is 32 bpp
[  2182.981] (==) modeset(0): Backing store enabled
[  2182.981] (==) modeset(0): Silken mouse enabled
[  2182.981] (II) modeset(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[  2183.108] (==) modeset(0): DPMS enabled
[  2183.108] (II) modeset(0): [DRI2] Setup complete
[  2183.108] (II) modeset(0): [DRI2]   DRI driver: i965
[  2183.108] (II) modeset(0): [DRI2]   VDPAU driver: i965
[  2183.207] (--) RandR disabled
[  2183.216] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[  2183.216] (II) AIGLX: enabled GLX_ARB_create_context
[  2183.216] (II) AIGLX: enabled GLX_ARB_create_context_profile
[  2183.216] (II) AIGLX: enabled GLX_EXT_create_context_es{,2}_profile
[  2183.216] (II) AIGLX: enabled GLX_INTEL_swap_event
[  2183.216] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[  2183.216] (II) AIGLX: enabled GLX_EXT_framebuffer_sRGB
[  2183.216] (II) AIGLX: enabled GLX_ARB_fbconfig_float
[  2183.216] (II) AIGLX: enabled GLX_EXT_fbconfig_packed_float
[  2183.216] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[  2183.216] (II) AIGLX: enabled GLX_ARB_create_context_robustness
[  2183.216] (II) AIGLX: Loaded and initialized i965
[  2183.216] (II) GLX: Initialized DRI2 GL provider for screen 0
[  2183.308] (II) modeset(0): Damage tracking initialized
[  2183.308] (II) modeset(0): Setting screen physical size to 1016 x 285
[  2183.368] (II) config/devd: probing input devices...
[  2183.368] (II) config/devd: adding input device (null) (/dev/kbdmux)
[  2183.368] (II) LoadModule: "kbd"
[  2183.368] (II) Loading /usr/local/lib/xorg/modules/input/kbd_drv.so
[  2183.368] (II) Module kbd: vendor="X.Org Foundation"
[  2183.368] 	compiled for 1.18.4, module version = 1.9.0
[  2183.368] 	Module class: X.Org XInput Driver
[  2183.368] 	ABI class: X.Org XInput driver, version 22.1
[  2183.368] (II) Using input driver 'kbd' for 'kbdmux'
[  2183.368] (**) kbdmux: always reports core events
[  2183.368] (**) kbdmux: always reports core events
[  2183.368] (**) Option "Protocol" "standard"
[  2183.368] (**) Option "XkbRules" "base"
[  2183.368] (**) Option "XkbModel" "pc105"
[  2183.369] (**) Option "XkbLayout" "us"
[  2183.369] (**) Option "config_info" "devd:kbdmux"
[  2183.369] (II) XINPUT: Adding extended input device "kbdmux" (type: KEYBOARD, id 6)
[  2183.371] (II) config/devd: kbdmux is enabled, ignoring device atkbd0
[  2183.371] (II) config/devd: adding input device (null) (/dev/sysmouse)
[  2183.371] (II) LoadModule: "mouse"
[  2183.371] (II) Loading /usr/local/lib/xorg/modules/input/mouse_drv.so
[  2183.372] (II) Module mouse: vendor="X.Org Foundation"
[  2183.372] 	compiled for 1.18.4, module version = 1.9.3
[  2183.372] 	Module class: X.Org XInput Driver
[  2183.372] 	ABI class: X.Org XInput driver, version 22.1
[  2183.372] (II) Using input driver 'mouse' for 'sysmouse'
[  2183.372] (**) sysmouse: always reports core events
[  2183.372] (**) Option "Device" "/dev/sysmouse"
[  2183.372] (==) sysmouse: Protocol: "Auto"
[  2183.372] (**) sysmouse: always reports core events
[  2183.372] (==) sysmouse: Emulate3Buttons, Emulate3Timeout: 50
[  2183.372] (**) sysmouse: ZAxisMapping: buttons 4 and 5
[  2183.372] (**) sysmouse: Buttons: 5
[  2183.372] (**) Option "config_info" "devd:sysmouse"
[  2183.372] (II) XINPUT: Adding extended input device "sysmouse" (type: MOUSE, id 7)
[  2183.372] (**) sysmouse: (accel) keeping acceleration scheme 1
[  2183.372] (**) sysmouse: (accel) acceleration profile 0
[  2183.372] (**) sysmouse: (accel) acceleration factor: 2.000
[  2183.372] (**) sysmouse: (accel) acceleration threshold: 4
[  2183.372] (II) sysmouse: SetupAuto: hw.iftype is 4, hw.model is 0
[  2183.372] (II) sysmouse: SetupAuto: protocol is SysMouse
[  2183.372] (II) config/devd: device /dev/psm0 already opened
[  2183.466] (II) modeset(0): EDID vendor "JDI", prod id 5122
[  2183.466] (II) modeset(0): Printing DDC gathered Modelines:
[  2183.466] (II) modeset(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[  2183.466] (II) modeset(0): Modeline "1920x1080"x0.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[  2183.466] (II) modeset(0): Modeline "1920x1080"x60.0  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -hsync +vsync (67.1 kHz e)
[  2183.496] (II) Quirked EDID physical size to 0x0 cm
[  2183.496] (--) modeset(0): HDMI max TMDS frequency 225000KHz
[  2183.501] (II) modeset(0): EDID vendor "JDI", prod id 5122
[  2183.501] (II) modeset(0): Printing DDC gathered Modelines:
[  2183.501] (II) modeset(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[  2183.501] (II) modeset(0): Modeline "1920x1080"x0.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[  2183.501] (II) modeset(0): Modeline "1920x1080"x60.0  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -hsync +vsync (67.1 kHz e)
[  2183.531] (II) Quirked EDID physical size to 0x0 cm
[  2183.531] (--) modeset(0): HDMI max TMDS frequency 225000KHz
[  2183.649] (II) modeset(0): EDID vendor "JDI", prod id 5122
[  2183.649] (II) modeset(0): Printing DDC gathered Modelines:
[  2183.649] (II) modeset(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[  2183.649] (II) modeset(0): Modeline "1920x1080"x0.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[  2183.649] (II) modeset(0): Modeline "1920x1080"x60.0  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -hsync +vsync (67.1 kHz e)
[  2183.679] (II) Quirked EDID physical size to 0x0 cm
[  2183.679] (--) modeset(0): HDMI max TMDS frequency 225000KHz
[  2183.682] (II) modeset(0): EDID vendor "JDI", prod id 5122
[  2183.682] (II) modeset(0): Printing DDC gathered Modelines:
[  2183.682] (II) modeset(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[  2183.682] (II) modeset(0): Modeline "1920x1080"x0.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[  2183.682] (II) modeset(0): Modeline "1920x1080"x60.0  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -hsync +vsync (67.1 kHz e)
[  2183.711] (II) Quirked EDID physical size to 0x0 cm
[  2183.712] (--) modeset(0): HDMI max TMDS frequency 225000KHz
[  2190.136] (II) modeset(0): EDID vendor "JDI", prod id 5122
[  2190.136] (II) modeset(0): Printing DDC gathered Modelines:
[  2190.136] (II) modeset(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[  2190.136] (II) modeset(0): Modeline "1920x1080"x0.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[  2190.136] (II) modeset(0): Modeline "1920x1080"x60.0  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -hsync +vsync (67.1 kHz e)
[  2190.166] (II) Quirked EDID physical size to 0x0 cm
[  2190.166] (--) modeset(0): HDMI max TMDS frequency 225000KHz
[  2190.172] (II) modeset(0): EDID vendor "JDI", prod id 5122
[  2190.172] (II) modeset(0): Printing DDC gathered Modelines:
[  2190.172] (II) modeset(0): Modeline "1920x1080"x0.0  138.50  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (66.6 kHz eP)
[  2190.172] (II) modeset(0): Modeline "1920x1080"x0.0   92.33  1920 1968 2000 2080  1080 1083 1088 1111 -hsync -vsync (44.4 kHz e)
[  2190.172] (II) modeset(0): Modeline "1920x1080"x60.0  172.80  1920 2040 2248 2576  1080 1081 1084 1118 -hsync +vsync (67.1 kHz e)
[  2190.201] (II) Quirked EDID physical size to 0x0 cm
[  2190.201] (--) modeset(0): HDMI max TMDS frequency 225000KHz
[  2201.669] (II) config/devd: terminating backend...
[  2201.669] (II) UnloadModule: "mouse"
[  2201.669] (II) UnloadModule: "kbd"
[  2201.746] (II) Server terminated successfully (0). Closing log file.
Comment 9 Tomasz "CeDeROM" CEDRO 2019-09-09 09:00:44 UTC
The last problem I have is my SYNAPTICS does not work with finger scroll. I would really love it to work the MacBook's way where I can perform most of interaction with one, two, three fingers movement. I have tried all sorts of /boot/loader.conf and hw.psm.synaptics stuff but it does not work. I have simple mouse as in easly 90s :-(

Can you please give me a hint how to make my Synatics work like Apple's MacBook Trackpad?

Can I ask here or should I start new PR? :-)
Comment 10 Niclas Zeising freebsd_committer 2019-09-09 09:03:43 UTC
(In reply to Tomasz "CeDeROM" CEDRO from comment #9)

Which version of FreeBSD are you on?
Have a look at https://wiki.freebsd.org/SynapticsTouchpad
Comment 11 Tomasz "CeDeROM" CEDRO 2019-09-09 11:59:32 UTC
Thanks Niclas, I am on 12.0-RELEASE. I have tried all from wiki on this Synaptics. Also other Toughbooks have this problem.

When I use hw.psm.synaptics_support=1 the mouse is not moving at all in moused nor in Xorg it is not recognised as xf86-input-synaptics.

This is strange because those Synaptics work fine with gestures on Windoze and Linux. Also some other mouses work with scrolling just out of the box even without hw.psm.synaptics_support enabled.

Also some folks told me about edev/eventdev system that can work with raw device so I could skip moused.. but still sometimes I am working in a raw console and moused would be nice to have (except that I have adopted TMUX for good and there is a nice copy-paste mechanism as well).

I think I will start a separate PR for this issue..?
Comment 12 Tomasz "CeDeROM" CEDRO 2019-09-09 12:03:53 UTC
Thank you everyone for your time and hints that lead to the solution! :-)

Summary:
1. /boot/kernel/i915kms.so was shadowing the /boot/modules/i915ksm.so, so I have to use port DRM driver and kldload /boot/modules/i915kms.so explicitly not only the kldload i915kms.so that loads the older default module from the generic kernel.

2. I have uninstalled the xf86-video-intel driver and now use modeset driver in conjuction with kernel DRM + i915kms that works better and faster.

I am closing the PR.

THANK YOU! :-)